Browse code

Update build system, XFAIL tests that need opt (not built).

Török Edvin authored on 2009/10/02 18:08:51
Showing 14 changed files
... ...
@@ -142,6 +142,7 @@ libllvmsupport_la_SOURCES=\
142 142
     llvm/lib/Support/StringExtras.cpp\
143 143
     llvm/lib/Support/StringMap.cpp\
144 144
     llvm/lib/Support/StringPool.cpp\
145
+    llvm/lib/Support/StringRef.cpp\
145 146
     llvm/lib/Support/SystemUtils.cpp\
146 147
     llvm/lib/Support/TargetRegistry.cpp\
147 148
     llvm/lib/Support/Timer.cpp\
... ...
@@ -286,6 +287,7 @@ libllvmtargetx86_la_SOURCES=\
286 286
     llvm/lib/Target/X86/X86Subtarget.cpp\
287 287
     llvm/lib/Target/X86/X86TargetMachine.cpp\
288 288
     llvm/lib/Target/X86/X86FastISel.cpp\
289
+    llvm/lib/Target/X86/X86TargetObjectFile.cpp\
289 290
     llvm/lib/Target/X86/TargetInfo/X86TargetInfo.cpp
290 291
 endif
291 292
 
... ...
@@ -497,7 +499,9 @@ libllvmipa_la_SOURCES=\
497 497
  llvm/lib/Analysis/LoopDependenceAnalysis.cpp\
498 498
  llvm/lib/Analysis/LoopInfo.cpp\
499 499
  llvm/lib/Analysis/LoopPass.cpp\
500
+ llvm/lib/Analysis/MallocHelper.cpp\
500 501
  llvm/lib/Analysis/MemoryDependenceAnalysis.cpp\
502
+ llvm/lib/Analysis/ProfileInfo.cpp\
501 503
  llvm/lib/Analysis/ScalarEvolution.cpp\
502 504
  llvm/lib/Analysis/ScalarEvolutionExpander.cpp\
503 505
  llvm/lib/Analysis/ValueTracking.cpp\
... ...
@@ -510,6 +514,8 @@ libllvmcodegen_la_SOURCES=\
510 510
   llvm/lib/CodeGen/CodePlacementOpt.cpp\
511 511
   llvm/lib/CodeGen/DeadMachineInstructionElim.cpp\
512 512
   llvm/lib/CodeGen/DwarfEHPrepare.cpp\
513
+  llvm/lib/CodeGen/ELFCodeEmitter.cpp\
514
+  llvm/lib/CodeGen/ELFWriter.cpp\
513 515
   llvm/lib/CodeGen/ExactHazardRecognizer.cpp\
514 516
   llvm/lib/CodeGen/GCMetadata.cpp\
515 517
   llvm/lib/CodeGen/GCMetadataPrinter.cpp\
... ...
@@ -533,6 +539,7 @@ libllvmcodegen_la_SOURCES=\
533 533
  llvm/lib/CodeGen/MachineLICM.cpp\
534 534
  llvm/lib/CodeGen/MachineLoopInfo.cpp\
535 535
  llvm/lib/CodeGen/MachineModuleInfo.cpp\
536
+ llvm/lib/CodeGen/MachineModuleInfoImpls.cpp\
536 537
  llvm/lib/CodeGen/MachinePassRegistry.cpp\
537 538
  llvm/lib/CodeGen/MachineRegisterInfo.cpp\
538 539
  llvm/lib/CodeGen/MachineSink.cpp\
... ...
@@ -548,7 +555,6 @@ libllvmcodegen_la_SOURCES=\
548 548
  llvm/lib/CodeGen/RegAllocLinearScan.cpp\
549 549
  llvm/lib/CodeGen/RegAllocLocal.cpp\
550 550
  llvm/lib/CodeGen/RegAllocPBQP.cpp\
551
- llvm/lib/CodeGen/RegAllocSimple.cpp\
552 551
  llvm/lib/CodeGen/RegisterCoalescer.cpp\
553 552
  llvm/lib/CodeGen/RegisterScavenging.cpp\
554 553
  llvm/lib/CodeGen/ScheduleDAG.cpp\
... ...
@@ -574,6 +580,7 @@ libllvmscalar_la_CPPFLAGS=$(LLVM_INCLUDES) $(LLVM_DEFS)
574 574
 libllvmscalar_la_CXXFLAGS=$(LLVM_CXXFLAGS) -fno-exceptions
575 575
 libllvmscalar_la_SOURCES=\
576 576
  llvm/lib/Transforms/Scalar/CodeGenPrepare.cpp\
577
+ llvm/lib/Transforms/Scalar/CodeGenLICM.cpp\
577 578
  llvm/lib/Transforms/Scalar/DCE.cpp\
578 579
  llvm/lib/Transforms/Scalar/LoopStrengthReduce.cpp
579 580
 
... ...
@@ -584,6 +591,7 @@ libllvmtransformutils_la_SOURCES=\
584 584
   llvm/lib/Transforms/Utils/BasicBlockUtils.cpp\
585 585
   llvm/lib/Transforms/Utils/BreakCriticalEdges.cpp\
586 586
   llvm/lib/Transforms/Utils/DemoteRegToStack.cpp\
587
+  llvm/lib/Transforms/Utils/LCSSA.cpp\
587 588
   llvm/lib/Transforms/Utils/Local.cpp\
588 589
   llvm/lib/Transforms/Utils/LoopSimplify.cpp\
589 590
   llvm/lib/Transforms/Utils/LowerAllocations.cpp\
... ...
@@ -600,6 +608,7 @@ libllvmexecutionengine_la_SOURCES=\
600 600
  llvm/lib/ExecutionEngine/ExecutionEngine.cpp\
601 601
  llvm/lib/ExecutionEngine/JIT/Intercept.cpp\
602 602
  llvm/lib/ExecutionEngine/JIT/JIT.cpp\
603
+ llvm/lib/ExecutionEngine/JIT/JITDebugRegisterer.cpp\
603 604
  llvm/lib/ExecutionEngine/JIT/JITDwarfEmitter.cpp\
604 605
  llvm/lib/ExecutionEngine/JIT/JITEmitter.cpp\
605 606
  llvm/lib/ExecutionEngine/JIT/JITMemoryManager.cpp\
... ...
@@ -652,7 +661,7 @@ libgoogletest_la_SOURCES=\
652 652
     llvm/utils/unittest/googletest/gtest-test-part.cc\
653 653
     llvm/utils/unittest/googletest/gtest-typed-test.cc\
654 654
     llvm/utils/unittest/googletest/gtest.cc\
655
-    llvm/unittests/TestMain.cpp
655
+    llvm/utils/unittest/UnitTestMain/TestMain.cpp
656 656
 
657 657
 llvmunittest_ADT_CPPFLAGS=$(LLVM_INCLUDES) $(LLVM_DEFS) -I$(top_srcdir)/llvm/utils/unittest/googletest/include
658 658
 llvmunittest_ADT_CXXFLAGS=$(LLVM_CXXFLAGS) -fno-exceptions -Wno-variadic-macros
... ...
@@ -706,8 +715,21 @@ llvmunittest_ExecutionEngine_LDADD=libgoogletest.la libllvminterpreter.la $(libc
706 706
 llvmunittest_ExecutionEngine_SOURCES=\
707 707
     llvm/unittests/ExecutionEngine/ExecutionEngineTest.cpp
708 708
 
709
+count_CPPFLAGS=$(LLVM_INCLUDES) $(LLVM_DEFS)
710
+count_SOURCES=llvm/utils/count/count.c
711
+count_LDADD=libllvmsystem.la
712
+not_CPPFLAGS=$(LLVM_INCLUDES) $(LLVM_DEFS)
713
+not_CXXFLAGS=$(LLVM_CXXFLAGS)
714
+not_SOURCES=llvm/utils/not/not.cpp
715
+not_LDADD=libllvmsystem.la
716
+
717
+FileCheck_CPPFLAGS=$(LLVM_INCLUDES) $(LLVM_DEFS)
718
+FileCheck_CXXFLAGS=$(LLVM_CXXFLAGS)
719
+FileCheck_LDADD=libllvmsupport.la libllvmsystem.la 
720
+FileCheck_SOURCES=llvm/utils/FileCheck/FileCheck.cpp
721
+
709 722
 check_LTLIBRARIES=libllvmbitreader.la libllvmasmprinter.la libllvmbitwriter.la libllvmasmparser.la libgoogletest.la libllvminterpreter.la
710
-check_PROGRAMS=lli llc llvm-as llvmunittest_ADT llvmunittest_Support llvmunittest_VMCore llvmunittest_ExecutionEngine llvmunittest_JIT
723
+check_PROGRAMS=count not lli llc llvm-as llvmunittest_ADT llvmunittest_Support llvmunittest_VMCore llvmunittest_ExecutionEngine llvmunittest_JIT FileCheck
711 724
 check_SCRIPTS=llvmdejagnu.sh
712 725
 TESTS_ENVIRONMENT=export GMAKE=@GMAKE@;
713 726
 TESTS=llvmunittest_ADT llvmunittest_Support llvmunittest_VMCore llvmunittest_ExecutionEngine llvmunittest_JIT
... ...
@@ -725,9 +747,11 @@ libllvmasmprinter_la_SOURCES=\
725 725
 
726 726
 if BUILD_X86
727 727
 libllvmasmprinter_la_SOURCES+=llvm/lib/Target/X86/AsmPrinter/X86AsmPrinter.cpp\
728
-    llvm/lib/Target/X86/AsmPrinter/X86ATTAsmPrinter.cpp\
729 728
     llvm/lib/Target/X86/AsmPrinter/X86ATTInstPrinter.cpp\
730
-    llvm/lib/Target/X86/AsmPrinter/X86IntelAsmPrinter.cpp
729
+    llvm/lib/Target/X86/AsmPrinter/X86IntelInstPrinter.cpp\
730
+    llvm/lib/Target/X86/AsmPrinter/X86AsmPrinter.cpp\
731
+    llvm/lib/Target/X86/AsmPrinter/X86MCInstLower.cpp\
732
+    llvm/lib/Target/X86/X86COFFMachineModuleInfo.cpp
731 733
 endif
732 734
 
733 735
 if BUILD_PPC
... ...
@@ -746,8 +770,9 @@ lli_SOURCES=\
746 746
 
747 747
 llc_CPPFLAGS=$(LLVM_INCLUDES) $(LLVM_DEFS)
748 748
 llc_CXXFLAGS=$(LLVM_CXXFLAGS)
749
-llc_LDADD=libllvmbitreader.la libllvmasmprinter.la $(libclamavcxx_la_LIBADD)
749
+llc_LDADD=libllvmbitreader.la libllvmasmparser.la libllvmasmprinter.la $(libclamavcxx_la_LIBADD)
750 750
 llc_SOURCES=\
751
+    llvm/lib/MC/MCInstPrinter.cpp\
751 752
     llvm/tools/llc/llc.cpp
752 753
 
753 754
 llvm_as_CPPFLAGS=$(LLVM_INCLUDES) $(LLVM_DEFS)
... ...
@@ -67,19 +67,21 @@ target_triplet = @target@
67 67
 @BUILD_ARM_TRUE@am__append_9 = ARMGenRegisterInfo.h.inc ARMGenRegisterNames.inc ARMGenRegisterInfo.inc ARMGenInstrNames.inc ARMGenInstrInfo.inc ARMGenCodeEmitter.inc\
68 68
 @BUILD_ARM_TRUE@    ARMGenAsmWriter.inc ARMGenDAGISel.inc ARMGenCallingConv.inc ARMGenSubtarget.inc
69 69
 
70
-check_PROGRAMS = lli$(EXEEXT) llc$(EXEEXT) llvm-as$(EXEEXT) \
71
-	llvmunittest_ADT$(EXEEXT) llvmunittest_Support$(EXEEXT) \
72
-	llvmunittest_VMCore$(EXEEXT) \
70
+check_PROGRAMS = count$(EXEEXT) not$(EXEEXT) lli$(EXEEXT) llc$(EXEEXT) \
71
+	llvm-as$(EXEEXT) llvmunittest_ADT$(EXEEXT) \
72
+	llvmunittest_Support$(EXEEXT) llvmunittest_VMCore$(EXEEXT) \
73 73
 	llvmunittest_ExecutionEngine$(EXEEXT) \
74
-	llvmunittest_JIT$(EXEEXT)
74
+	llvmunittest_JIT$(EXEEXT) FileCheck$(EXEEXT)
75 75
 TESTS = llvmunittest_ADT$(EXEEXT) llvmunittest_Support$(EXEEXT) \
76 76
 	llvmunittest_VMCore$(EXEEXT) \
77 77
 	llvmunittest_ExecutionEngine$(EXEEXT) \
78 78
 	llvmunittest_JIT$(EXEEXT)
79 79
 @BUILD_X86_TRUE@am__append_10 = llvm/lib/Target/X86/AsmPrinter/X86AsmPrinter.cpp\
80
-@BUILD_X86_TRUE@    llvm/lib/Target/X86/AsmPrinter/X86ATTAsmPrinter.cpp\
81 80
 @BUILD_X86_TRUE@    llvm/lib/Target/X86/AsmPrinter/X86ATTInstPrinter.cpp\
82
-@BUILD_X86_TRUE@    llvm/lib/Target/X86/AsmPrinter/X86IntelAsmPrinter.cpp
81
+@BUILD_X86_TRUE@    llvm/lib/Target/X86/AsmPrinter/X86IntelInstPrinter.cpp\
82
+@BUILD_X86_TRUE@    llvm/lib/Target/X86/AsmPrinter/X86AsmPrinter.cpp\
83
+@BUILD_X86_TRUE@    llvm/lib/Target/X86/AsmPrinter/X86MCInstLower.cpp\
84
+@BUILD_X86_TRUE@    llvm/lib/Target/X86/X86COFFMachineModuleInfo.cpp
83 85
 
84 86
 @BUILD_PPC_TRUE@am__append_11 = llvm/lib/Target/PowerPC/AsmPrinter/PPCAsmPrinter.cpp
85 87
 @BUILD_ARM_TRUE@am__append_12 = llvm/lib/Target/ARM/AsmPrinter/ARMAsmPrinter.cpp
... ...
@@ -146,15 +148,18 @@ am__libllvmasmprinter_la_SOURCES_DIST =  \
146 146
 	llvm/lib/CodeGen/MachOCodeEmitter.cpp \
147 147
 	llvm/lib/CodeGen/MachOWriter.cpp \
148 148
 	llvm/lib/Target/X86/AsmPrinter/X86AsmPrinter.cpp \
149
-	llvm/lib/Target/X86/AsmPrinter/X86ATTAsmPrinter.cpp \
150 149
 	llvm/lib/Target/X86/AsmPrinter/X86ATTInstPrinter.cpp \
151
-	llvm/lib/Target/X86/AsmPrinter/X86IntelAsmPrinter.cpp \
150
+	llvm/lib/Target/X86/AsmPrinter/X86IntelInstPrinter.cpp \
151
+	llvm/lib/Target/X86/AsmPrinter/X86MCInstLower.cpp \
152
+	llvm/lib/Target/X86/X86COFFMachineModuleInfo.cpp \
152 153
 	llvm/lib/Target/PowerPC/AsmPrinter/PPCAsmPrinter.cpp \
153 154
 	llvm/lib/Target/ARM/AsmPrinter/ARMAsmPrinter.cpp
154 155
 @BUILD_X86_TRUE@am__objects_1 = libllvmasmprinter_la-X86AsmPrinter.lo \
155
-@BUILD_X86_TRUE@	libllvmasmprinter_la-X86ATTAsmPrinter.lo \
156 156
 @BUILD_X86_TRUE@	libllvmasmprinter_la-X86ATTInstPrinter.lo \
157
-@BUILD_X86_TRUE@	libllvmasmprinter_la-X86IntelAsmPrinter.lo
157
+@BUILD_X86_TRUE@	libllvmasmprinter_la-X86IntelInstPrinter.lo \
158
+@BUILD_X86_TRUE@	libllvmasmprinter_la-X86AsmPrinter.lo \
159
+@BUILD_X86_TRUE@	libllvmasmprinter_la-X86MCInstLower.lo \
160
+@BUILD_X86_TRUE@	libllvmasmprinter_la-X86COFFMachineModuleInfo.lo
158 161
 @BUILD_PPC_TRUE@am__objects_2 = libllvmasmprinter_la-PPCAsmPrinter.lo
159 162
 @BUILD_ARM_TRUE@am__objects_3 = libllvmasmprinter_la-ARMAsmPrinter.lo
160 163
 am_libllvmasmprinter_la_OBJECTS =  \
... ...
@@ -198,6 +203,8 @@ am_libllvmcodegen_la_OBJECTS = libllvmcodegen_la-BranchFolding.lo \
198 198
 	libllvmcodegen_la-CodePlacementOpt.lo \
199 199
 	libllvmcodegen_la-DeadMachineInstructionElim.lo \
200 200
 	libllvmcodegen_la-DwarfEHPrepare.lo \
201
+	libllvmcodegen_la-ELFCodeEmitter.lo \
202
+	libllvmcodegen_la-ELFWriter.lo \
201 203
 	libllvmcodegen_la-ExactHazardRecognizer.lo \
202 204
 	libllvmcodegen_la-GCMetadata.lo \
203 205
 	libllvmcodegen_la-GCMetadataPrinter.lo \
... ...
@@ -221,6 +228,7 @@ am_libllvmcodegen_la_OBJECTS = libllvmcodegen_la-BranchFolding.lo \
221 221
 	libllvmcodegen_la-MachineLICM.lo \
222 222
 	libllvmcodegen_la-MachineLoopInfo.lo \
223 223
 	libllvmcodegen_la-MachineModuleInfo.lo \
224
+	libllvmcodegen_la-MachineModuleInfoImpls.lo \
224 225
 	libllvmcodegen_la-MachinePassRegistry.lo \
225 226
 	libllvmcodegen_la-MachineRegisterInfo.lo \
226 227
 	libllvmcodegen_la-MachineSink.lo \
... ...
@@ -236,7 +244,6 @@ am_libllvmcodegen_la_OBJECTS = libllvmcodegen_la-BranchFolding.lo \
236 236
 	libllvmcodegen_la-RegAllocLinearScan.lo \
237 237
 	libllvmcodegen_la-RegAllocLocal.lo \
238 238
 	libllvmcodegen_la-RegAllocPBQP.lo \
239
-	libllvmcodegen_la-RegAllocSimple.lo \
240 239
 	libllvmcodegen_la-RegisterCoalescer.lo \
241 240
 	libllvmcodegen_la-RegisterScavenging.lo \
242 241
 	libllvmcodegen_la-ScheduleDAG.lo \
... ...
@@ -288,6 +295,7 @@ am_libllvmexecutionengine_la_OBJECTS =  \
288 288
 	libllvmexecutionengine_la-ExecutionEngine.lo \
289 289
 	libllvmexecutionengine_la-Intercept.lo \
290 290
 	libllvmexecutionengine_la-JIT.lo \
291
+	libllvmexecutionengine_la-JITDebugRegisterer.lo \
291 292
 	libllvmexecutionengine_la-JITDwarfEmitter.lo \
292 293
 	libllvmexecutionengine_la-JITEmitter.lo \
293 294
 	libllvmexecutionengine_la-JITMemoryManager.lo \
... ...
@@ -318,8 +326,9 @@ am_libllvmipa_la_OBJECTS = libllvmipa_la-AliasAnalysis.lo \
318 318
 	libllvmipa_la-IVUsers.lo libllvmipa_la-LiveValues.lo \
319 319
 	libllvmipa_la-LoopDependenceAnalysis.lo \
320 320
 	libllvmipa_la-LoopInfo.lo libllvmipa_la-LoopPass.lo \
321
+	libllvmipa_la-MallocHelper.lo \
321 322
 	libllvmipa_la-MemoryDependenceAnalysis.lo \
322
-	libllvmipa_la-ScalarEvolution.lo \
323
+	libllvmipa_la-ProfileInfo.lo libllvmipa_la-ScalarEvolution.lo \
323 324
 	libllvmipa_la-ScalarEvolutionExpander.lo \
324 325
 	libllvmipa_la-ValueTracking.lo libllvmipa_la-CallGraph.lo
325 326
 libllvmipa_la_OBJECTS = $(am_libllvmipa_la_OBJECTS)
... ...
@@ -345,7 +354,8 @@ libllvmmc_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
345 345
 	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
346 346
 libllvmscalar_la_LIBADD =
347 347
 am_libllvmscalar_la_OBJECTS = libllvmscalar_la-CodeGenPrepare.lo \
348
-	libllvmscalar_la-DCE.lo libllvmscalar_la-LoopStrengthReduce.lo
348
+	libllvmscalar_la-CodeGenLICM.lo libllvmscalar_la-DCE.lo \
349
+	libllvmscalar_la-LoopStrengthReduce.lo
349 350
 libllvmscalar_la_OBJECTS = $(am_libllvmscalar_la_OBJECTS)
350 351
 libllvmscalar_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
351 352
 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
... ...
@@ -399,6 +409,7 @@ am_libllvmsupport_la_OBJECTS = libllvmsupport_la-APFloat.lo \
399 399
 	libllvmsupport_la-SourceMgr.lo libllvmsupport_la-Statistic.lo \
400 400
 	libllvmsupport_la-StringExtras.lo \
401 401
 	libllvmsupport_la-StringMap.lo libllvmsupport_la-StringPool.lo \
402
+	libllvmsupport_la-StringRef.lo \
402 403
 	libllvmsupport_la-SystemUtils.lo \
403 404
 	libllvmsupport_la-TargetRegistry.lo libllvmsupport_la-Timer.lo \
404 405
 	libllvmsupport_la-Triple.lo libllvmsupport_la-Twine.lo \
... ...
@@ -549,6 +560,7 @@ am__libllvmtargetx86_la_SOURCES_DIST =  \
549 549
 	llvm/lib/Target/X86/X86Subtarget.cpp \
550 550
 	llvm/lib/Target/X86/X86TargetMachine.cpp \
551 551
 	llvm/lib/Target/X86/X86FastISel.cpp \
552
+	llvm/lib/Target/X86/X86TargetObjectFile.cpp \
552 553
 	llvm/lib/Target/X86/TargetInfo/X86TargetInfo.cpp
553 554
 @BUILD_X86_TRUE@am_libllvmtargetx86_la_OBJECTS =  \
554 555
 @BUILD_X86_TRUE@	libllvmtargetx86_la-X86CodeEmitter.lo \
... ...
@@ -564,6 +576,7 @@ am__libllvmtargetx86_la_SOURCES_DIST =  \
564 564
 @BUILD_X86_TRUE@	libllvmtargetx86_la-X86Subtarget.lo \
565 565
 @BUILD_X86_TRUE@	libllvmtargetx86_la-X86TargetMachine.lo \
566 566
 @BUILD_X86_TRUE@	libllvmtargetx86_la-X86FastISel.lo \
567
+@BUILD_X86_TRUE@	libllvmtargetx86_la-X86TargetObjectFile.lo \
567 568
 @BUILD_X86_TRUE@	libllvmtargetx86_la-X86TargetInfo.lo
568 569
 libllvmtargetx86_la_OBJECTS = $(am_libllvmtargetx86_la_OBJECTS)
569 570
 libllvmtargetx86_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
... ...
@@ -577,6 +590,7 @@ am_libllvmtransformutils_la_OBJECTS =  \
577 577
 	libllvmtransformutils_la-BasicBlockUtils.lo \
578 578
 	libllvmtransformutils_la-BreakCriticalEdges.lo \
579 579
 	libllvmtransformutils_la-DemoteRegToStack.lo \
580
+	libllvmtransformutils_la-LCSSA.lo \
580 581
 	libllvmtransformutils_la-Local.lo \
581 582
 	libllvmtransformutils_la-LoopSimplify.lo \
582 583
 	libllvmtransformutils_la-LowerAllocations.lo \
... ...
@@ -593,10 +607,19 @@ libllvmtransformutils_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
593 593
 	$(libllvmtransformutils_la_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
594 594
 	$(LDFLAGS) -o $@
595 595
 PROGRAMS = $(noinst_PROGRAMS)
596
-am_llc_OBJECTS = llc-llc.$(OBJEXT)
596
+am_FileCheck_OBJECTS = FileCheck-FileCheck.$(OBJEXT)
597
+FileCheck_OBJECTS = $(am_FileCheck_OBJECTS)
598
+FileCheck_DEPENDENCIES = libllvmsupport.la libllvmsystem.la
599
+FileCheck_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
600
+	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(FileCheck_CXXFLAGS) \
601
+	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
602
+am_count_OBJECTS = count-count.$(OBJEXT)
603
+count_OBJECTS = $(am_count_OBJECTS)
604
+count_DEPENDENCIES = libllvmsystem.la
605
+am_llc_OBJECTS = llc-MCInstPrinter.$(OBJEXT) llc-llc.$(OBJEXT)
597 606
 llc_OBJECTS = $(am_llc_OBJECTS)
598
-llc_DEPENDENCIES = libllvmbitreader.la libllvmasmprinter.la \
599
-	$(libclamavcxx_la_LIBADD)
607
+llc_DEPENDENCIES = libllvmbitreader.la libllvmasmparser.la \
608
+	libllvmasmprinter.la $(libclamavcxx_la_LIBADD)
600 609
 llc_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
601 610
 	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(llc_CXXFLAGS) \
602 611
 	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
... ...
@@ -682,6 +705,12 @@ llvmunittest_VMCore_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
682 682
 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
683 683
 	$(llvmunittest_VMCore_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
684 684
 	$(LDFLAGS) -o $@
685
+am_not_OBJECTS = not-not.$(OBJEXT)
686
+not_OBJECTS = $(am_not_OBJECTS)
687
+not_DEPENDENCIES = libllvmsystem.la
688
+not_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
689
+	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(not_CXXFLAGS) \
690
+	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
685 691
 am_tblgen_OBJECTS = tblgen-AsmMatcherEmitter.$(OBJEXT) \
686 692
 	tblgen-AsmWriterEmitter.$(OBJEXT) \
687 693
 	tblgen-CallingConvEmitter.$(OBJEXT) \
... ...
@@ -757,11 +786,13 @@ SOURCES = $(libclamavcxx_la_SOURCES) $(libgoogletest_la_SOURCES) \
757 757
 	$(libllvmsystem_la_SOURCES) $(libllvmtarget_la_SOURCES) \
758 758
 	$(libllvmtargetarm_la_SOURCES) $(libllvmtargetppc_la_SOURCES) \
759 759
 	$(libllvmtargetx86_la_SOURCES) \
760
-	$(libllvmtransformutils_la_SOURCES) $(llc_SOURCES) \
761
-	$(lli_SOURCES) $(llvm_as_SOURCES) $(llvmunittest_ADT_SOURCES) \
760
+	$(libllvmtransformutils_la_SOURCES) $(FileCheck_SOURCES) \
761
+	$(count_SOURCES) $(llc_SOURCES) $(lli_SOURCES) \
762
+	$(llvm_as_SOURCES) $(llvmunittest_ADT_SOURCES) \
762 763
 	$(llvmunittest_ExecutionEngine_SOURCES) \
763 764
 	$(llvmunittest_JIT_SOURCES) $(llvmunittest_Support_SOURCES) \
764
-	$(llvmunittest_VMCore_SOURCES) $(tblgen_SOURCES)
765
+	$(llvmunittest_VMCore_SOURCES) $(not_SOURCES) \
766
+	$(tblgen_SOURCES)
765 767
 DIST_SOURCES = $(libclamavcxx_la_SOURCES) $(libgoogletest_la_SOURCES) \
766 768
 	$(libllvmasmparser_la_SOURCES) \
767 769
 	$(am__libllvmasmprinter_la_SOURCES_DIST) \
... ...
@@ -775,11 +806,13 @@ DIST_SOURCES = $(libclamavcxx_la_SOURCES) $(libgoogletest_la_SOURCES) \
775 775
 	$(am__libllvmtargetarm_la_SOURCES_DIST) \
776 776
 	$(am__libllvmtargetppc_la_SOURCES_DIST) \
777 777
 	$(am__libllvmtargetx86_la_SOURCES_DIST) \
778
-	$(libllvmtransformutils_la_SOURCES) $(llc_SOURCES) \
779
-	$(lli_SOURCES) $(llvm_as_SOURCES) $(llvmunittest_ADT_SOURCES) \
778
+	$(libllvmtransformutils_la_SOURCES) $(FileCheck_SOURCES) \
779
+	$(count_SOURCES) $(llc_SOURCES) $(lli_SOURCES) \
780
+	$(llvm_as_SOURCES) $(llvmunittest_ADT_SOURCES) \
780 781
 	$(llvmunittest_ExecutionEngine_SOURCES) \
781 782
 	$(llvmunittest_JIT_SOURCES) $(llvmunittest_Support_SOURCES) \
782
-	$(llvmunittest_VMCore_SOURCES) $(tblgen_SOURCES)
783
+	$(llvmunittest_VMCore_SOURCES) $(not_SOURCES) \
784
+	$(tblgen_SOURCES)
783 785
 ETAGS = etags
784 786
 CTAGS = ctags
785 787
 # If stdout is a non-dumb tty, use colors.  If test -t is not supported,
... ...
@@ -1042,6 +1075,7 @@ libllvmsupport_la_SOURCES = \
1042 1042
     llvm/lib/Support/StringExtras.cpp\
1043 1043
     llvm/lib/Support/StringMap.cpp\
1044 1044
     llvm/lib/Support/StringPool.cpp\
1045
+    llvm/lib/Support/StringRef.cpp\
1045 1046
     llvm/lib/Support/SystemUtils.cpp\
1046 1047
     llvm/lib/Support/TargetRegistry.cpp\
1047 1048
     llvm/lib/Support/Timer.cpp\
... ...
@@ -1143,6 +1177,7 @@ BUILT_SOURCES = llvm/include/llvm/Intrinsics.gen $(am__append_7) \
1143 1143
 @BUILD_X86_TRUE@    llvm/lib/Target/X86/X86Subtarget.cpp\
1144 1144
 @BUILD_X86_TRUE@    llvm/lib/Target/X86/X86TargetMachine.cpp\
1145 1145
 @BUILD_X86_TRUE@    llvm/lib/Target/X86/X86FastISel.cpp\
1146
+@BUILD_X86_TRUE@    llvm/lib/Target/X86/X86TargetObjectFile.cpp\
1146 1147
 @BUILD_X86_TRUE@    llvm/lib/Target/X86/TargetInfo/X86TargetInfo.cpp
1147 1148
 
1148 1149
 
... ...
@@ -1282,7 +1317,9 @@ libllvmipa_la_SOURCES = \
1282 1282
  llvm/lib/Analysis/LoopDependenceAnalysis.cpp\
1283 1283
  llvm/lib/Analysis/LoopInfo.cpp\
1284 1284
  llvm/lib/Analysis/LoopPass.cpp\
1285
+ llvm/lib/Analysis/MallocHelper.cpp\
1285 1286
  llvm/lib/Analysis/MemoryDependenceAnalysis.cpp\
1287
+ llvm/lib/Analysis/ProfileInfo.cpp\
1286 1288
  llvm/lib/Analysis/ScalarEvolution.cpp\
1287 1289
  llvm/lib/Analysis/ScalarEvolutionExpander.cpp\
1288 1290
  llvm/lib/Analysis/ValueTracking.cpp\
... ...
@@ -1295,6 +1332,8 @@ libllvmcodegen_la_SOURCES = \
1295 1295
   llvm/lib/CodeGen/CodePlacementOpt.cpp\
1296 1296
   llvm/lib/CodeGen/DeadMachineInstructionElim.cpp\
1297 1297
   llvm/lib/CodeGen/DwarfEHPrepare.cpp\
1298
+  llvm/lib/CodeGen/ELFCodeEmitter.cpp\
1299
+  llvm/lib/CodeGen/ELFWriter.cpp\
1298 1300
   llvm/lib/CodeGen/ExactHazardRecognizer.cpp\
1299 1301
   llvm/lib/CodeGen/GCMetadata.cpp\
1300 1302
   llvm/lib/CodeGen/GCMetadataPrinter.cpp\
... ...
@@ -1318,6 +1357,7 @@ libllvmcodegen_la_SOURCES = \
1318 1318
  llvm/lib/CodeGen/MachineLICM.cpp\
1319 1319
  llvm/lib/CodeGen/MachineLoopInfo.cpp\
1320 1320
  llvm/lib/CodeGen/MachineModuleInfo.cpp\
1321
+ llvm/lib/CodeGen/MachineModuleInfoImpls.cpp\
1321 1322
  llvm/lib/CodeGen/MachinePassRegistry.cpp\
1322 1323
  llvm/lib/CodeGen/MachineRegisterInfo.cpp\
1323 1324
  llvm/lib/CodeGen/MachineSink.cpp\
... ...
@@ -1333,7 +1373,6 @@ libllvmcodegen_la_SOURCES = \
1333 1333
  llvm/lib/CodeGen/RegAllocLinearScan.cpp\
1334 1334
  llvm/lib/CodeGen/RegAllocLocal.cpp\
1335 1335
  llvm/lib/CodeGen/RegAllocPBQP.cpp\
1336
- llvm/lib/CodeGen/RegAllocSimple.cpp\
1337 1336
  llvm/lib/CodeGen/RegisterCoalescer.cpp\
1338 1337
  llvm/lib/CodeGen/RegisterScavenging.cpp\
1339 1338
  llvm/lib/CodeGen/ScheduleDAG.cpp\
... ...
@@ -1358,6 +1397,7 @@ libllvmscalar_la_CPPFLAGS = $(LLVM_INCLUDES) $(LLVM_DEFS)
1358 1358
 libllvmscalar_la_CXXFLAGS = $(LLVM_CXXFLAGS) -fno-exceptions
1359 1359
 libllvmscalar_la_SOURCES = \
1360 1360
  llvm/lib/Transforms/Scalar/CodeGenPrepare.cpp\
1361
+ llvm/lib/Transforms/Scalar/CodeGenLICM.cpp\
1361 1362
  llvm/lib/Transforms/Scalar/DCE.cpp\
1362 1363
  llvm/lib/Transforms/Scalar/LoopStrengthReduce.cpp
1363 1364
 
... ...
@@ -1368,6 +1408,7 @@ libllvmtransformutils_la_SOURCES = \
1368 1368
   llvm/lib/Transforms/Utils/BasicBlockUtils.cpp\
1369 1369
   llvm/lib/Transforms/Utils/BreakCriticalEdges.cpp\
1370 1370
   llvm/lib/Transforms/Utils/DemoteRegToStack.cpp\
1371
+  llvm/lib/Transforms/Utils/LCSSA.cpp\
1371 1372
   llvm/lib/Transforms/Utils/Local.cpp\
1372 1373
   llvm/lib/Transforms/Utils/LoopSimplify.cpp\
1373 1374
   llvm/lib/Transforms/Utils/LowerAllocations.cpp\
... ...
@@ -1384,6 +1425,7 @@ libllvmexecutionengine_la_SOURCES = \
1384 1384
  llvm/lib/ExecutionEngine/ExecutionEngine.cpp\
1385 1385
  llvm/lib/ExecutionEngine/JIT/Intercept.cpp\
1386 1386
  llvm/lib/ExecutionEngine/JIT/JIT.cpp\
1387
+ llvm/lib/ExecutionEngine/JIT/JITDebugRegisterer.cpp\
1387 1388
  llvm/lib/ExecutionEngine/JIT/JITDwarfEmitter.cpp\
1388 1389
  llvm/lib/ExecutionEngine/JIT/JITEmitter.cpp\
1389 1390
  llvm/lib/ExecutionEngine/JIT/JITMemoryManager.cpp\
... ...
@@ -1436,7 +1478,7 @@ libgoogletest_la_SOURCES = \
1436 1436
     llvm/utils/unittest/googletest/gtest-test-part.cc\
1437 1437
     llvm/utils/unittest/googletest/gtest-typed-test.cc\
1438 1438
     llvm/utils/unittest/googletest/gtest.cc\
1439
-    llvm/unittests/TestMain.cpp
1439
+    llvm/utils/unittest/UnitTestMain/TestMain.cpp
1440 1440
 
1441 1441
 llvmunittest_ADT_CPPFLAGS = $(LLVM_INCLUDES) $(LLVM_DEFS) -I$(top_srcdir)/llvm/utils/unittest/googletest/include
1442 1442
 llvmunittest_ADT_CXXFLAGS = $(LLVM_CXXFLAGS) -fno-exceptions -Wno-variadic-macros
... ...
@@ -1490,6 +1532,17 @@ llvmunittest_ExecutionEngine_LDADD = libgoogletest.la libllvminterpreter.la $(li
1490 1490
 llvmunittest_ExecutionEngine_SOURCES = \
1491 1491
     llvm/unittests/ExecutionEngine/ExecutionEngineTest.cpp
1492 1492
 
1493
+count_CPPFLAGS = $(LLVM_INCLUDES) $(LLVM_DEFS)
1494
+count_SOURCES = llvm/utils/count/count.c
1495
+count_LDADD = libllvmsystem.la
1496
+not_CPPFLAGS = $(LLVM_INCLUDES) $(LLVM_DEFS)
1497
+not_CXXFLAGS = $(LLVM_CXXFLAGS)
1498
+not_SOURCES = llvm/utils/not/not.cpp
1499
+not_LDADD = libllvmsystem.la
1500
+FileCheck_CPPFLAGS = $(LLVM_INCLUDES) $(LLVM_DEFS)
1501
+FileCheck_CXXFLAGS = $(LLVM_CXXFLAGS)
1502
+FileCheck_LDADD = libllvmsupport.la libllvmsystem.la 
1503
+FileCheck_SOURCES = llvm/utils/FileCheck/FileCheck.cpp
1493 1504
 check_LTLIBRARIES = libllvmbitreader.la libllvmasmprinter.la libllvmbitwriter.la libllvmasmparser.la libgoogletest.la libllvminterpreter.la
1494 1505
 check_SCRIPTS = llvmdejagnu.sh
1495 1506
 TESTS_ENVIRONMENT = export GMAKE=@GMAKE@;
... ...
@@ -1512,8 +1565,9 @@ lli_SOURCES = \
1512 1512
 
1513 1513
 llc_CPPFLAGS = $(LLVM_INCLUDES) $(LLVM_DEFS)
1514 1514
 llc_CXXFLAGS = $(LLVM_CXXFLAGS)
1515
-llc_LDADD = libllvmbitreader.la libllvmasmprinter.la $(libclamavcxx_la_LIBADD)
1515
+llc_LDADD = libllvmbitreader.la libllvmasmparser.la libllvmasmprinter.la $(libclamavcxx_la_LIBADD)
1516 1516
 llc_SOURCES = \
1517
+    llvm/lib/MC/MCInstPrinter.cpp\
1517 1518
     llvm/tools/llc/llc.cpp
1518 1519
 
1519 1520
 llvm_as_CPPFLAGS = $(LLVM_INCLUDES) $(LLVM_DEFS)
... ...
@@ -1656,6 +1710,12 @@ clean-noinstPROGRAMS:
1656 1656
 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1657 1657
 	echo " rm -f" $$list; \
1658 1658
 	rm -f $$list
1659
+FileCheck$(EXEEXT): $(FileCheck_OBJECTS) $(FileCheck_DEPENDENCIES) 
1660
+	@rm -f FileCheck$(EXEEXT)
1661
+	$(AM_V_CXXLD)$(FileCheck_LINK) $(FileCheck_OBJECTS) $(FileCheck_LDADD) $(LIBS)
1662
+count$(EXEEXT): $(count_OBJECTS) $(count_DEPENDENCIES) 
1663
+	@rm -f count$(EXEEXT)
1664
+	$(AM_V_CCLD)$(LINK) $(count_OBJECTS) $(count_LDADD) $(LIBS)
1659 1665
 llc$(EXEEXT): $(llc_OBJECTS) $(llc_DEPENDENCIES) 
1660 1666
 	@rm -f llc$(EXEEXT)
1661 1667
 	$(AM_V_CXXLD)$(llc_LINK) $(llc_OBJECTS) $(llc_LDADD) $(LIBS)
... ...
@@ -1680,6 +1740,9 @@ llvmunittest_Support$(EXEEXT): $(llvmunittest_Support_OBJECTS) $(llvmunittest_Su
1680 1680
 llvmunittest_VMCore$(EXEEXT): $(llvmunittest_VMCore_OBJECTS) $(llvmunittest_VMCore_DEPENDENCIES) 
1681 1681
 	@rm -f llvmunittest_VMCore$(EXEEXT)
1682 1682
 	$(AM_V_CXXLD)$(llvmunittest_VMCore_LINK) $(llvmunittest_VMCore_OBJECTS) $(llvmunittest_VMCore_LDADD) $(LIBS)
1683
+not$(EXEEXT): $(not_OBJECTS) $(not_DEPENDENCIES) 
1684
+	@rm -f not$(EXEEXT)
1685
+	$(AM_V_CXXLD)$(not_LINK) $(not_OBJECTS) $(not_LDADD) $(LIBS)
1683 1686
 tblgen$(EXEEXT): $(tblgen_OBJECTS) $(tblgen_DEPENDENCIES) 
1684 1687
 	@rm -f tblgen$(EXEEXT)
1685 1688
 	$(AM_V_CXXLD)$(tblgen_LINK) $(tblgen_OBJECTS) $(tblgen_LDADD) $(LIBS)
... ...
@@ -1690,6 +1753,8 @@ mostlyclean-compile:
1690 1690
 distclean-compile:
1691 1691
 	-rm -f *.tab.c
1692 1692
 
1693
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/FileCheck-FileCheck.Po@am__quote@
1694
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/count-count.Po@am__quote@
1693 1695
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libclamavcxx_la-bytecode2llvm.Plo@am__quote@
1694 1696
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgoogletest_la-TestMain.Plo@am__quote@
1695 1697
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgoogletest_la-gtest-death-test.Plo@am__quote@
... ...
@@ -1708,10 +1773,11 @@ distclean-compile:
1708 1708
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmasmprinter_la-MachOWriter.Plo@am__quote@
1709 1709
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmasmprinter_la-OcamlGCPrinter.Plo@am__quote@
1710 1710
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmasmprinter_la-PPCAsmPrinter.Plo@am__quote@
1711
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmasmprinter_la-X86ATTAsmPrinter.Plo@am__quote@
1712 1711
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmasmprinter_la-X86ATTInstPrinter.Plo@am__quote@
1713 1712
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmasmprinter_la-X86AsmPrinter.Plo@am__quote@
1714
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmasmprinter_la-X86IntelAsmPrinter.Plo@am__quote@
1713
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmasmprinter_la-X86COFFMachineModuleInfo.Plo@am__quote@
1714
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmasmprinter_la-X86IntelInstPrinter.Plo@am__quote@
1715
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmasmprinter_la-X86MCInstLower.Plo@am__quote@
1715 1716
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmbitreader_la-BitReader.Plo@am__quote@
1716 1717
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmbitreader_la-BitcodeReader.Plo@am__quote@
1717 1718
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmbitreader_la-Deserialize.Plo@am__quote@
... ...
@@ -1728,6 +1794,8 @@ distclean-compile:
1728 1728
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-CodePlacementOpt.Plo@am__quote@
1729 1729
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-DeadMachineInstructionElim.Plo@am__quote@
1730 1730
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-DwarfEHPrepare.Plo@am__quote@
1731
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-ELFCodeEmitter.Plo@am__quote@
1732
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-ELFWriter.Plo@am__quote@
1731 1733
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-ExactHazardRecognizer.Plo@am__quote@
1732 1734
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-GCMetadata.Plo@am__quote@
1733 1735
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-GCMetadataPrinter.Plo@am__quote@
... ...
@@ -1751,6 +1819,7 @@ distclean-compile:
1751 1751
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-MachineLICM.Plo@am__quote@
1752 1752
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-MachineLoopInfo.Plo@am__quote@
1753 1753
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-MachineModuleInfo.Plo@am__quote@
1754
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-MachineModuleInfoImpls.Plo@am__quote@
1754 1755
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-MachinePassRegistry.Plo@am__quote@
1755 1756
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-MachineRegisterInfo.Plo@am__quote@
1756 1757
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-MachineSink.Plo@am__quote@
... ...
@@ -1766,7 +1835,6 @@ distclean-compile:
1766 1766
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-RegAllocLinearScan.Plo@am__quote@
1767 1767
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-RegAllocLocal.Plo@am__quote@
1768 1768
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-RegAllocPBQP.Plo@am__quote@
1769
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-RegAllocSimple.Plo@am__quote@
1770 1769
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-RegisterCoalescer.Plo@am__quote@
1771 1770
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-RegisterScavenging.Plo@am__quote@
1772 1771
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmcodegen_la-ScheduleDAG.Plo@am__quote@
... ...
@@ -1819,6 +1887,7 @@ distclean-compile:
1819 1819
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmexecutionengine_la-ExecutionEngine.Plo@am__quote@
1820 1820
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmexecutionengine_la-Intercept.Plo@am__quote@
1821 1821
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmexecutionengine_la-JIT.Plo@am__quote@
1822
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmexecutionengine_la-JITDebugRegisterer.Plo@am__quote@
1822 1823
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmexecutionengine_la-JITDwarfEmitter.Plo@am__quote@
1823 1824
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmexecutionengine_la-JITEmitter.Plo@am__quote@
1824 1825
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmexecutionengine_la-JITMemoryManager.Plo@am__quote@
... ...
@@ -1840,7 +1909,9 @@ distclean-compile:
1840 1840
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmipa_la-LoopDependenceAnalysis.Plo@am__quote@
1841 1841
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmipa_la-LoopInfo.Plo@am__quote@
1842 1842
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmipa_la-LoopPass.Plo@am__quote@
1843
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmipa_la-MallocHelper.Plo@am__quote@
1843 1844
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmipa_la-MemoryDependenceAnalysis.Plo@am__quote@
1845
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmipa_la-ProfileInfo.Plo@am__quote@
1844 1846
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmipa_la-ScalarEvolution.Plo@am__quote@
1845 1847
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmipa_la-ScalarEvolutionExpander.Plo@am__quote@
1846 1848
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmipa_la-ValueTracking.Plo@am__quote@
... ...
@@ -1864,6 +1935,7 @@ distclean-compile:
1864 1864
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmmc_la-MCSymbol.Plo@am__quote@
1865 1865
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmmc_la-MCValue.Plo@am__quote@
1866 1866
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmmc_la-TargetAsmParser.Plo@am__quote@
1867
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmscalar_la-CodeGenLICM.Plo@am__quote@
1867 1868
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmscalar_la-CodeGenPrepare.Plo@am__quote@
1868 1869
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmscalar_la-DCE.Plo@am__quote@
1869 1870
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmscalar_la-LoopStrengthReduce.Plo@am__quote@
... ...
@@ -1921,6 +1993,7 @@ distclean-compile:
1921 1921
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmsupport_la-StringExtras.Plo@am__quote@
1922 1922
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmsupport_la-StringMap.Plo@am__quote@
1923 1923
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmsupport_la-StringPool.Plo@am__quote@
1924
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmsupport_la-StringRef.Plo@am__quote@
1924 1925
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmsupport_la-SystemUtils.Plo@am__quote@
1925 1926
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmsupport_la-TargetRegistry.Plo@am__quote@
1926 1927
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmsupport_la-Timer.Plo@am__quote@
... ...
@@ -2012,10 +2085,12 @@ distclean-compile:
2012 2012
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmtargetx86_la-X86Subtarget.Plo@am__quote@
2013 2013
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmtargetx86_la-X86TargetInfo.Plo@am__quote@
2014 2014
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmtargetx86_la-X86TargetMachine.Plo@am__quote@
2015
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmtargetx86_la-X86TargetObjectFile.Plo@am__quote@
2015 2016
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmtransformutils_la-AddrModeMatcher.Plo@am__quote@
2016 2017
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmtransformutils_la-BasicBlockUtils.Plo@am__quote@
2017 2018
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmtransformutils_la-BreakCriticalEdges.Plo@am__quote@
2018 2019
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmtransformutils_la-DemoteRegToStack.Plo@am__quote@
2020
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmtransformutils_la-LCSSA.Plo@am__quote@
2019 2021
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmtransformutils_la-Local.Plo@am__quote@
2020 2022
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmtransformutils_la-LoopSimplify.Plo@am__quote@
2021 2023
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmtransformutils_la-LowerAllocations.Plo@am__quote@
... ...
@@ -2025,6 +2100,7 @@ distclean-compile:
2025 2025
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmtransformutils_la-PromoteMemoryToRegister.Plo@am__quote@
2026 2026
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmtransformutils_la-SimplifyCFG.Plo@am__quote@
2027 2027
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libllvmtransformutils_la-UnifyFunctionExitNodes.Plo@am__quote@
2028
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/llc-MCInstPrinter.Po@am__quote@
2028 2029
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/llc-llc.Po@am__quote@
2029 2030
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lli-lli.Po@am__quote@
2030 2031
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/llvm_as-llvm-as.Po@am__quote@
... ...
@@ -2055,6 +2131,7 @@ distclean-compile:
2055 2055
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/llvmunittest_VMCore-ConstantsTest.Po@am__quote@
2056 2056
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/llvmunittest_VMCore-MetadataTest.Po@am__quote@
2057 2057
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/llvmunittest_VMCore-PassManagerTest.Po@am__quote@
2058
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/not-not.Po@am__quote@
2058 2059
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tblgen-AsmMatcherEmitter.Po@am__quote@
2059 2060
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tblgen-AsmWriterEmitter.Po@am__quote@
2060 2061
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tblgen-CallingConvEmitter.Po@am__quote@
... ...
@@ -2142,6 +2219,22 @@ libllvmsupport_la-regstrlcpy.lo: llvm/lib/Support/regstrlcpy.c
2142 2142
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2143 2143
 @am__fastdepCC_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmsupport_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libllvmsupport_la-regstrlcpy.lo `test -f 'llvm/lib/Support/regstrlcpy.c' || echo '$(srcdir)/'`llvm/lib/Support/regstrlcpy.c
2144 2144
 
2145
+count-count.o: llvm/utils/count/count.c
2146
+@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(count_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT count-count.o -MD -MP -MF $(DEPDIR)/count-count.Tpo -c -o count-count.o `test -f 'llvm/utils/count/count.c' || echo '$(srcdir)/'`llvm/utils/count/count.c
2147
+@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/count-count.Tpo $(DEPDIR)/count-count.Po
2148
+@am__fastdepCC_FALSE@	$(AM_V_CC) @AM_BACKSLASH@
2149
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='llvm/utils/count/count.c' object='count-count.o' libtool=no @AMDEPBACKSLASH@
2150
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2151
+@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(count_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o count-count.o `test -f 'llvm/utils/count/count.c' || echo '$(srcdir)/'`llvm/utils/count/count.c
2152
+
2153
+count-count.obj: llvm/utils/count/count.c
2154
+@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(count_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT count-count.obj -MD -MP -MF $(DEPDIR)/count-count.Tpo -c -o count-count.obj `if test -f 'llvm/utils/count/count.c'; then $(CYGPATH_W) 'llvm/utils/count/count.c'; else $(CYGPATH_W) '$(srcdir)/llvm/utils/count/count.c'; fi`
2155
+@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/count-count.Tpo $(DEPDIR)/count-count.Po
2156
+@am__fastdepCC_FALSE@	$(AM_V_CC) @AM_BACKSLASH@
2157
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='llvm/utils/count/count.c' object='count-count.obj' libtool=no @AMDEPBACKSLASH@
2158
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2159
+@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(count_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o count-count.obj `if test -f 'llvm/utils/count/count.c'; then $(CYGPATH_W) 'llvm/utils/count/count.c'; else $(CYGPATH_W) '$(srcdir)/llvm/utils/count/count.c'; fi`
2160
+
2145 2161
 .cc.o:
2146 2162
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
2147 2163
 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
... ...
@@ -2222,13 +2315,13 @@ libgoogletest_la-gtest.lo: llvm/utils/unittest/googletest/gtest.cc
2222 2222
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2223 2223
 @am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgoogletest_la_CPPFLAGS) $(CPPFLAGS) $(libgoogletest_la_CXXFLAGS) $(CXXFLAGS) -c -o libgoogletest_la-gtest.lo `test -f 'llvm/utils/unittest/googletest/gtest.cc' || echo '$(srcdir)/'`llvm/utils/unittest/googletest/gtest.cc
2224 2224
 
2225
-libgoogletest_la-TestMain.lo: llvm/unittests/TestMain.cpp
2226
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgoogletest_la_CPPFLAGS) $(CPPFLAGS) $(libgoogletest_la_CXXFLAGS) $(CXXFLAGS) -MT libgoogletest_la-TestMain.lo -MD -MP -MF $(DEPDIR)/libgoogletest_la-TestMain.Tpo -c -o libgoogletest_la-TestMain.lo `test -f 'llvm/unittests/TestMain.cpp' || echo '$(srcdir)/'`llvm/unittests/TestMain.cpp
2225
+libgoogletest_la-TestMain.lo: llvm/utils/unittest/UnitTestMain/TestMain.cpp
2226
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgoogletest_la_CPPFLAGS) $(CPPFLAGS) $(libgoogletest_la_CXXFLAGS) $(CXXFLAGS) -MT libgoogletest_la-TestMain.lo -MD -MP -MF $(DEPDIR)/libgoogletest_la-TestMain.Tpo -c -o libgoogletest_la-TestMain.lo `test -f 'llvm/utils/unittest/UnitTestMain/TestMain.cpp' || echo '$(srcdir)/'`llvm/utils/unittest/UnitTestMain/TestMain.cpp
2227 2227
 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgoogletest_la-TestMain.Tpo $(DEPDIR)/libgoogletest_la-TestMain.Plo
2228 2228
 @am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
2229
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/unittests/TestMain.cpp' object='libgoogletest_la-TestMain.lo' libtool=yes @AMDEPBACKSLASH@
2229
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/utils/unittest/UnitTestMain/TestMain.cpp' object='libgoogletest_la-TestMain.lo' libtool=yes @AMDEPBACKSLASH@
2230 2230
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2231
-@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgoogletest_la_CPPFLAGS) $(CPPFLAGS) $(libgoogletest_la_CXXFLAGS) $(CXXFLAGS) -c -o libgoogletest_la-TestMain.lo `test -f 'llvm/unittests/TestMain.cpp' || echo '$(srcdir)/'`llvm/unittests/TestMain.cpp
2231
+@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgoogletest_la_CPPFLAGS) $(CPPFLAGS) $(libgoogletest_la_CXXFLAGS) $(CXXFLAGS) -c -o libgoogletest_la-TestMain.lo `test -f 'llvm/utils/unittest/UnitTestMain/TestMain.cpp' || echo '$(srcdir)/'`llvm/utils/unittest/UnitTestMain/TestMain.cpp
2232 2232
 
2233 2233
 libllvmasmparser_la-LLLexer.lo: llvm/lib/AsmParser/LLLexer.cpp
2234 2234
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmasmparser_la_CPPFLAGS) $(CPPFLAGS) $(libllvmasmparser_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmasmparser_la-LLLexer.lo -MD -MP -MF $(DEPDIR)/libllvmasmparser_la-LLLexer.Tpo -c -o libllvmasmparser_la-LLLexer.lo `test -f 'llvm/lib/AsmParser/LLLexer.cpp' || echo '$(srcdir)/'`llvm/lib/AsmParser/LLLexer.cpp
... ...
@@ -2302,14 +2395,6 @@ libllvmasmprinter_la-X86AsmPrinter.lo: llvm/lib/Target/X86/AsmPrinter/X86AsmPrin
2302 2302
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2303 2303
 @am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmasmprinter_la_CPPFLAGS) $(CPPFLAGS) $(libllvmasmprinter_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmasmprinter_la-X86AsmPrinter.lo `test -f 'llvm/lib/Target/X86/AsmPrinter/X86AsmPrinter.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/AsmPrinter/X86AsmPrinter.cpp
2304 2304
 
2305
-libllvmasmprinter_la-X86ATTAsmPrinter.lo: llvm/lib/Target/X86/AsmPrinter/X86ATTAsmPrinter.cpp
2306
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmasmprinter_la_CPPFLAGS) $(CPPFLAGS) $(libllvmasmprinter_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmasmprinter_la-X86ATTAsmPrinter.lo -MD -MP -MF $(DEPDIR)/libllvmasmprinter_la-X86ATTAsmPrinter.Tpo -c -o libllvmasmprinter_la-X86ATTAsmPrinter.lo `test -f 'llvm/lib/Target/X86/AsmPrinter/X86ATTAsmPrinter.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/AsmPrinter/X86ATTAsmPrinter.cpp
2307
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmasmprinter_la-X86ATTAsmPrinter.Tpo $(DEPDIR)/libllvmasmprinter_la-X86ATTAsmPrinter.Plo
2308
-@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
2309
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/Target/X86/AsmPrinter/X86ATTAsmPrinter.cpp' object='libllvmasmprinter_la-X86ATTAsmPrinter.lo' libtool=yes @AMDEPBACKSLASH@
2310
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2311
-@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmasmprinter_la_CPPFLAGS) $(CPPFLAGS) $(libllvmasmprinter_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmasmprinter_la-X86ATTAsmPrinter.lo `test -f 'llvm/lib/Target/X86/AsmPrinter/X86ATTAsmPrinter.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/AsmPrinter/X86ATTAsmPrinter.cpp
2312
-
2313 2305
 libllvmasmprinter_la-X86ATTInstPrinter.lo: llvm/lib/Target/X86/AsmPrinter/X86ATTInstPrinter.cpp
2314 2306
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmasmprinter_la_CPPFLAGS) $(CPPFLAGS) $(libllvmasmprinter_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmasmprinter_la-X86ATTInstPrinter.lo -MD -MP -MF $(DEPDIR)/libllvmasmprinter_la-X86ATTInstPrinter.Tpo -c -o libllvmasmprinter_la-X86ATTInstPrinter.lo `test -f 'llvm/lib/Target/X86/AsmPrinter/X86ATTInstPrinter.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/AsmPrinter/X86ATTInstPrinter.cpp
2315 2307
 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmasmprinter_la-X86ATTInstPrinter.Tpo $(DEPDIR)/libllvmasmprinter_la-X86ATTInstPrinter.Plo
... ...
@@ -2318,13 +2403,29 @@ libllvmasmprinter_la-X86ATTInstPrinter.lo: llvm/lib/Target/X86/AsmPrinter/X86ATT
2318 2318
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2319 2319
 @am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmasmprinter_la_CPPFLAGS) $(CPPFLAGS) $(libllvmasmprinter_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmasmprinter_la-X86ATTInstPrinter.lo `test -f 'llvm/lib/Target/X86/AsmPrinter/X86ATTInstPrinter.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/AsmPrinter/X86ATTInstPrinter.cpp
2320 2320
 
2321
-libllvmasmprinter_la-X86IntelAsmPrinter.lo: llvm/lib/Target/X86/AsmPrinter/X86IntelAsmPrinter.cpp
2322
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmasmprinter_la_CPPFLAGS) $(CPPFLAGS) $(libllvmasmprinter_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmasmprinter_la-X86IntelAsmPrinter.lo -MD -MP -MF $(DEPDIR)/libllvmasmprinter_la-X86IntelAsmPrinter.Tpo -c -o libllvmasmprinter_la-X86IntelAsmPrinter.lo `test -f 'llvm/lib/Target/X86/AsmPrinter/X86IntelAsmPrinter.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/AsmPrinter/X86IntelAsmPrinter.cpp
2323
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmasmprinter_la-X86IntelAsmPrinter.Tpo $(DEPDIR)/libllvmasmprinter_la-X86IntelAsmPrinter.Plo
2321
+libllvmasmprinter_la-X86IntelInstPrinter.lo: llvm/lib/Target/X86/AsmPrinter/X86IntelInstPrinter.cpp
2322
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmasmprinter_la_CPPFLAGS) $(CPPFLAGS) $(libllvmasmprinter_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmasmprinter_la-X86IntelInstPrinter.lo -MD -MP -MF $(DEPDIR)/libllvmasmprinter_la-X86IntelInstPrinter.Tpo -c -o libllvmasmprinter_la-X86IntelInstPrinter.lo `test -f 'llvm/lib/Target/X86/AsmPrinter/X86IntelInstPrinter.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/AsmPrinter/X86IntelInstPrinter.cpp
2323
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmasmprinter_la-X86IntelInstPrinter.Tpo $(DEPDIR)/libllvmasmprinter_la-X86IntelInstPrinter.Plo
2324
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
2325
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/Target/X86/AsmPrinter/X86IntelInstPrinter.cpp' object='libllvmasmprinter_la-X86IntelInstPrinter.lo' libtool=yes @AMDEPBACKSLASH@
2326
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2327
+@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmasmprinter_la_CPPFLAGS) $(CPPFLAGS) $(libllvmasmprinter_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmasmprinter_la-X86IntelInstPrinter.lo `test -f 'llvm/lib/Target/X86/AsmPrinter/X86IntelInstPrinter.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/AsmPrinter/X86IntelInstPrinter.cpp
2328
+
2329
+libllvmasmprinter_la-X86MCInstLower.lo: llvm/lib/Target/X86/AsmPrinter/X86MCInstLower.cpp
2330
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmasmprinter_la_CPPFLAGS) $(CPPFLAGS) $(libllvmasmprinter_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmasmprinter_la-X86MCInstLower.lo -MD -MP -MF $(DEPDIR)/libllvmasmprinter_la-X86MCInstLower.Tpo -c -o libllvmasmprinter_la-X86MCInstLower.lo `test -f 'llvm/lib/Target/X86/AsmPrinter/X86MCInstLower.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/AsmPrinter/X86MCInstLower.cpp
2331
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmasmprinter_la-X86MCInstLower.Tpo $(DEPDIR)/libllvmasmprinter_la-X86MCInstLower.Plo
2332
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
2333
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/Target/X86/AsmPrinter/X86MCInstLower.cpp' object='libllvmasmprinter_la-X86MCInstLower.lo' libtool=yes @AMDEPBACKSLASH@
2334
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2335
+@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmasmprinter_la_CPPFLAGS) $(CPPFLAGS) $(libllvmasmprinter_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmasmprinter_la-X86MCInstLower.lo `test -f 'llvm/lib/Target/X86/AsmPrinter/X86MCInstLower.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/AsmPrinter/X86MCInstLower.cpp
2336
+
2337
+libllvmasmprinter_la-X86COFFMachineModuleInfo.lo: llvm/lib/Target/X86/X86COFFMachineModuleInfo.cpp
2338
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmasmprinter_la_CPPFLAGS) $(CPPFLAGS) $(libllvmasmprinter_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmasmprinter_la-X86COFFMachineModuleInfo.lo -MD -MP -MF $(DEPDIR)/libllvmasmprinter_la-X86COFFMachineModuleInfo.Tpo -c -o libllvmasmprinter_la-X86COFFMachineModuleInfo.lo `test -f 'llvm/lib/Target/X86/X86COFFMachineModuleInfo.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/X86COFFMachineModuleInfo.cpp
2339
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmasmprinter_la-X86COFFMachineModuleInfo.Tpo $(DEPDIR)/libllvmasmprinter_la-X86COFFMachineModuleInfo.Plo
2324 2340
 @am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
2325
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/Target/X86/AsmPrinter/X86IntelAsmPrinter.cpp' object='libllvmasmprinter_la-X86IntelAsmPrinter.lo' libtool=yes @AMDEPBACKSLASH@
2341
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/Target/X86/X86COFFMachineModuleInfo.cpp' object='libllvmasmprinter_la-X86COFFMachineModuleInfo.lo' libtool=yes @AMDEPBACKSLASH@
2326 2342
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2327
-@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmasmprinter_la_CPPFLAGS) $(CPPFLAGS) $(libllvmasmprinter_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmasmprinter_la-X86IntelAsmPrinter.lo `test -f 'llvm/lib/Target/X86/AsmPrinter/X86IntelAsmPrinter.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/AsmPrinter/X86IntelAsmPrinter.cpp
2343
+@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmasmprinter_la_CPPFLAGS) $(CPPFLAGS) $(libllvmasmprinter_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmasmprinter_la-X86COFFMachineModuleInfo.lo `test -f 'llvm/lib/Target/X86/X86COFFMachineModuleInfo.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/X86COFFMachineModuleInfo.cpp
2328 2344
 
2329 2345
 libllvmasmprinter_la-PPCAsmPrinter.lo: llvm/lib/Target/PowerPC/AsmPrinter/PPCAsmPrinter.cpp
2330 2346
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmasmprinter_la_CPPFLAGS) $(CPPFLAGS) $(libllvmasmprinter_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmasmprinter_la-PPCAsmPrinter.lo -MD -MP -MF $(DEPDIR)/libllvmasmprinter_la-PPCAsmPrinter.Tpo -c -o libllvmasmprinter_la-PPCAsmPrinter.lo `test -f 'llvm/lib/Target/PowerPC/AsmPrinter/PPCAsmPrinter.cpp' || echo '$(srcdir)/'`llvm/lib/Target/PowerPC/AsmPrinter/PPCAsmPrinter.cpp
... ...
@@ -2470,6 +2571,22 @@ libllvmcodegen_la-DwarfEHPrepare.lo: llvm/lib/CodeGen/DwarfEHPrepare.cpp
2470 2470
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2471 2471
 @am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmcodegen_la_CPPFLAGS) $(CPPFLAGS) $(libllvmcodegen_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmcodegen_la-DwarfEHPrepare.lo `test -f 'llvm/lib/CodeGen/DwarfEHPrepare.cpp' || echo '$(srcdir)/'`llvm/lib/CodeGen/DwarfEHPrepare.cpp
2472 2472
 
2473
+libllvmcodegen_la-ELFCodeEmitter.lo: llvm/lib/CodeGen/ELFCodeEmitter.cpp
2474
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmcodegen_la_CPPFLAGS) $(CPPFLAGS) $(libllvmcodegen_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmcodegen_la-ELFCodeEmitter.lo -MD -MP -MF $(DEPDIR)/libllvmcodegen_la-ELFCodeEmitter.Tpo -c -o libllvmcodegen_la-ELFCodeEmitter.lo `test -f 'llvm/lib/CodeGen/ELFCodeEmitter.cpp' || echo '$(srcdir)/'`llvm/lib/CodeGen/ELFCodeEmitter.cpp
2475
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmcodegen_la-ELFCodeEmitter.Tpo $(DEPDIR)/libllvmcodegen_la-ELFCodeEmitter.Plo
2476
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
2477
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/CodeGen/ELFCodeEmitter.cpp' object='libllvmcodegen_la-ELFCodeEmitter.lo' libtool=yes @AMDEPBACKSLASH@
2478
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2479
+@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmcodegen_la_CPPFLAGS) $(CPPFLAGS) $(libllvmcodegen_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmcodegen_la-ELFCodeEmitter.lo `test -f 'llvm/lib/CodeGen/ELFCodeEmitter.cpp' || echo '$(srcdir)/'`llvm/lib/CodeGen/ELFCodeEmitter.cpp
2480
+
2481
+libllvmcodegen_la-ELFWriter.lo: llvm/lib/CodeGen/ELFWriter.cpp
2482
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmcodegen_la_CPPFLAGS) $(CPPFLAGS) $(libllvmcodegen_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmcodegen_la-ELFWriter.lo -MD -MP -MF $(DEPDIR)/libllvmcodegen_la-ELFWriter.Tpo -c -o libllvmcodegen_la-ELFWriter.lo `test -f 'llvm/lib/CodeGen/ELFWriter.cpp' || echo '$(srcdir)/'`llvm/lib/CodeGen/ELFWriter.cpp
2483
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmcodegen_la-ELFWriter.Tpo $(DEPDIR)/libllvmcodegen_la-ELFWriter.Plo
2484
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
2485
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/CodeGen/ELFWriter.cpp' object='libllvmcodegen_la-ELFWriter.lo' libtool=yes @AMDEPBACKSLASH@
2486
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2487
+@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmcodegen_la_CPPFLAGS) $(CPPFLAGS) $(libllvmcodegen_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmcodegen_la-ELFWriter.lo `test -f 'llvm/lib/CodeGen/ELFWriter.cpp' || echo '$(srcdir)/'`llvm/lib/CodeGen/ELFWriter.cpp
2488
+
2473 2489
 libllvmcodegen_la-ExactHazardRecognizer.lo: llvm/lib/CodeGen/ExactHazardRecognizer.cpp
2474 2490
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmcodegen_la_CPPFLAGS) $(CPPFLAGS) $(libllvmcodegen_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmcodegen_la-ExactHazardRecognizer.lo -MD -MP -MF $(DEPDIR)/libllvmcodegen_la-ExactHazardRecognizer.Tpo -c -o libllvmcodegen_la-ExactHazardRecognizer.lo `test -f 'llvm/lib/CodeGen/ExactHazardRecognizer.cpp' || echo '$(srcdir)/'`llvm/lib/CodeGen/ExactHazardRecognizer.cpp
2475 2491
 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmcodegen_la-ExactHazardRecognizer.Tpo $(DEPDIR)/libllvmcodegen_la-ExactHazardRecognizer.Plo
... ...
@@ -2654,6 +2771,14 @@ libllvmcodegen_la-MachineModuleInfo.lo: llvm/lib/CodeGen/MachineModuleInfo.cpp
2654 2654
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2655 2655
 @am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmcodegen_la_CPPFLAGS) $(CPPFLAGS) $(libllvmcodegen_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmcodegen_la-MachineModuleInfo.lo `test -f 'llvm/lib/CodeGen/MachineModuleInfo.cpp' || echo '$(srcdir)/'`llvm/lib/CodeGen/MachineModuleInfo.cpp
2656 2656
 
2657
+libllvmcodegen_la-MachineModuleInfoImpls.lo: llvm/lib/CodeGen/MachineModuleInfoImpls.cpp
2658
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmcodegen_la_CPPFLAGS) $(CPPFLAGS) $(libllvmcodegen_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmcodegen_la-MachineModuleInfoImpls.lo -MD -MP -MF $(DEPDIR)/libllvmcodegen_la-MachineModuleInfoImpls.Tpo -c -o libllvmcodegen_la-MachineModuleInfoImpls.lo `test -f 'llvm/lib/CodeGen/MachineModuleInfoImpls.cpp' || echo '$(srcdir)/'`llvm/lib/CodeGen/MachineModuleInfoImpls.cpp
2659
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmcodegen_la-MachineModuleInfoImpls.Tpo $(DEPDIR)/libllvmcodegen_la-MachineModuleInfoImpls.Plo
2660
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
2661
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/CodeGen/MachineModuleInfoImpls.cpp' object='libllvmcodegen_la-MachineModuleInfoImpls.lo' libtool=yes @AMDEPBACKSLASH@
2662
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2663
+@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmcodegen_la_CPPFLAGS) $(CPPFLAGS) $(libllvmcodegen_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmcodegen_la-MachineModuleInfoImpls.lo `test -f 'llvm/lib/CodeGen/MachineModuleInfoImpls.cpp' || echo '$(srcdir)/'`llvm/lib/CodeGen/MachineModuleInfoImpls.cpp
2664
+
2657 2665
 libllvmcodegen_la-MachinePassRegistry.lo: llvm/lib/CodeGen/MachinePassRegistry.cpp
2658 2666
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmcodegen_la_CPPFLAGS) $(CPPFLAGS) $(libllvmcodegen_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmcodegen_la-MachinePassRegistry.lo -MD -MP -MF $(DEPDIR)/libllvmcodegen_la-MachinePassRegistry.Tpo -c -o libllvmcodegen_la-MachinePassRegistry.lo `test -f 'llvm/lib/CodeGen/MachinePassRegistry.cpp' || echo '$(srcdir)/'`llvm/lib/CodeGen/MachinePassRegistry.cpp
2659 2667
 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmcodegen_la-MachinePassRegistry.Tpo $(DEPDIR)/libllvmcodegen_la-MachinePassRegistry.Plo
... ...
@@ -2774,14 +2899,6 @@ libllvmcodegen_la-RegAllocPBQP.lo: llvm/lib/CodeGen/RegAllocPBQP.cpp
2774 2774
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2775 2775
 @am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmcodegen_la_CPPFLAGS) $(CPPFLAGS) $(libllvmcodegen_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmcodegen_la-RegAllocPBQP.lo `test -f 'llvm/lib/CodeGen/RegAllocPBQP.cpp' || echo '$(srcdir)/'`llvm/lib/CodeGen/RegAllocPBQP.cpp
2776 2776
 
2777
-libllvmcodegen_la-RegAllocSimple.lo: llvm/lib/CodeGen/RegAllocSimple.cpp
2778
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmcodegen_la_CPPFLAGS) $(CPPFLAGS) $(libllvmcodegen_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmcodegen_la-RegAllocSimple.lo -MD -MP -MF $(DEPDIR)/libllvmcodegen_la-RegAllocSimple.Tpo -c -o libllvmcodegen_la-RegAllocSimple.lo `test -f 'llvm/lib/CodeGen/RegAllocSimple.cpp' || echo '$(srcdir)/'`llvm/lib/CodeGen/RegAllocSimple.cpp
2779
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmcodegen_la-RegAllocSimple.Tpo $(DEPDIR)/libllvmcodegen_la-RegAllocSimple.Plo
2780
-@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
2781
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/CodeGen/RegAllocSimple.cpp' object='libllvmcodegen_la-RegAllocSimple.lo' libtool=yes @AMDEPBACKSLASH@
2782
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2783
-@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmcodegen_la_CPPFLAGS) $(CPPFLAGS) $(libllvmcodegen_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmcodegen_la-RegAllocSimple.lo `test -f 'llvm/lib/CodeGen/RegAllocSimple.cpp' || echo '$(srcdir)/'`llvm/lib/CodeGen/RegAllocSimple.cpp
2784
-
2785 2777
 libllvmcodegen_la-RegisterCoalescer.lo: llvm/lib/CodeGen/RegisterCoalescer.cpp
2786 2778
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmcodegen_la_CPPFLAGS) $(CPPFLAGS) $(libllvmcodegen_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmcodegen_la-RegisterCoalescer.lo -MD -MP -MF $(DEPDIR)/libllvmcodegen_la-RegisterCoalescer.Tpo -c -o libllvmcodegen_la-RegisterCoalescer.lo `test -f 'llvm/lib/CodeGen/RegisterCoalescer.cpp' || echo '$(srcdir)/'`llvm/lib/CodeGen/RegisterCoalescer.cpp
2787 2779
 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmcodegen_la-RegisterCoalescer.Tpo $(DEPDIR)/libllvmcodegen_la-RegisterCoalescer.Plo
... ...
@@ -3198,6 +3315,14 @@ libllvmexecutionengine_la-JIT.lo: llvm/lib/ExecutionEngine/JIT/JIT.cpp
3198 3198
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
3199 3199
 @am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmexecutionengine_la_CPPFLAGS) $(CPPFLAGS) $(libllvmexecutionengine_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmexecutionengine_la-JIT.lo `test -f 'llvm/lib/ExecutionEngine/JIT/JIT.cpp' || echo '$(srcdir)/'`llvm/lib/ExecutionEngine/JIT/JIT.cpp
3200 3200
 
3201
+libllvmexecutionengine_la-JITDebugRegisterer.lo: llvm/lib/ExecutionEngine/JIT/JITDebugRegisterer.cpp
3202
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmexecutionengine_la_CPPFLAGS) $(CPPFLAGS) $(libllvmexecutionengine_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmexecutionengine_la-JITDebugRegisterer.lo -MD -MP -MF $(DEPDIR)/libllvmexecutionengine_la-JITDebugRegisterer.Tpo -c -o libllvmexecutionengine_la-JITDebugRegisterer.lo `test -f 'llvm/lib/ExecutionEngine/JIT/JITDebugRegisterer.cpp' || echo '$(srcdir)/'`llvm/lib/ExecutionEngine/JIT/JITDebugRegisterer.cpp
3203
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmexecutionengine_la-JITDebugRegisterer.Tpo $(DEPDIR)/libllvmexecutionengine_la-JITDebugRegisterer.Plo
3204
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
3205
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/ExecutionEngine/JIT/JITDebugRegisterer.cpp' object='libllvmexecutionengine_la-JITDebugRegisterer.lo' libtool=yes @AMDEPBACKSLASH@
3206
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
3207
+@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmexecutionengine_la_CPPFLAGS) $(CPPFLAGS) $(libllvmexecutionengine_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmexecutionengine_la-JITDebugRegisterer.lo `test -f 'llvm/lib/ExecutionEngine/JIT/JITDebugRegisterer.cpp' || echo '$(srcdir)/'`llvm/lib/ExecutionEngine/JIT/JITDebugRegisterer.cpp
3208
+
3201 3209
 libllvmexecutionengine_la-JITDwarfEmitter.lo: llvm/lib/ExecutionEngine/JIT/JITDwarfEmitter.cpp
3202 3210
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmexecutionengine_la_CPPFLAGS) $(CPPFLAGS) $(libllvmexecutionengine_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmexecutionengine_la-JITDwarfEmitter.lo -MD -MP -MF $(DEPDIR)/libllvmexecutionengine_la-JITDwarfEmitter.Tpo -c -o libllvmexecutionengine_la-JITDwarfEmitter.lo `test -f 'llvm/lib/ExecutionEngine/JIT/JITDwarfEmitter.cpp' || echo '$(srcdir)/'`llvm/lib/ExecutionEngine/JIT/JITDwarfEmitter.cpp
3203 3211
 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmexecutionengine_la-JITDwarfEmitter.Tpo $(DEPDIR)/libllvmexecutionengine_la-JITDwarfEmitter.Plo
... ...
@@ -3358,6 +3483,14 @@ libllvmipa_la-LoopPass.lo: llvm/lib/Analysis/LoopPass.cpp
3358 3358
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
3359 3359
 @am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmipa_la_CPPFLAGS) $(CPPFLAGS) $(libllvmipa_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmipa_la-LoopPass.lo `test -f 'llvm/lib/Analysis/LoopPass.cpp' || echo '$(srcdir)/'`llvm/lib/Analysis/LoopPass.cpp
3360 3360
 
3361
+libllvmipa_la-MallocHelper.lo: llvm/lib/Analysis/MallocHelper.cpp
3362
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmipa_la_CPPFLAGS) $(CPPFLAGS) $(libllvmipa_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmipa_la-MallocHelper.lo -MD -MP -MF $(DEPDIR)/libllvmipa_la-MallocHelper.Tpo -c -o libllvmipa_la-MallocHelper.lo `test -f 'llvm/lib/Analysis/MallocHelper.cpp' || echo '$(srcdir)/'`llvm/lib/Analysis/MallocHelper.cpp
3363
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmipa_la-MallocHelper.Tpo $(DEPDIR)/libllvmipa_la-MallocHelper.Plo
3364
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
3365
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/Analysis/MallocHelper.cpp' object='libllvmipa_la-MallocHelper.lo' libtool=yes @AMDEPBACKSLASH@
3366
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
3367
+@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmipa_la_CPPFLAGS) $(CPPFLAGS) $(libllvmipa_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmipa_la-MallocHelper.lo `test -f 'llvm/lib/Analysis/MallocHelper.cpp' || echo '$(srcdir)/'`llvm/lib/Analysis/MallocHelper.cpp
3368
+
3361 3369
 libllvmipa_la-MemoryDependenceAnalysis.lo: llvm/lib/Analysis/MemoryDependenceAnalysis.cpp
3362 3370
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmipa_la_CPPFLAGS) $(CPPFLAGS) $(libllvmipa_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmipa_la-MemoryDependenceAnalysis.lo -MD -MP -MF $(DEPDIR)/libllvmipa_la-MemoryDependenceAnalysis.Tpo -c -o libllvmipa_la-MemoryDependenceAnalysis.lo `test -f 'llvm/lib/Analysis/MemoryDependenceAnalysis.cpp' || echo '$(srcdir)/'`llvm/lib/Analysis/MemoryDependenceAnalysis.cpp
3363 3371
 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmipa_la-MemoryDependenceAnalysis.Tpo $(DEPDIR)/libllvmipa_la-MemoryDependenceAnalysis.Plo
... ...
@@ -3366,6 +3499,14 @@ libllvmipa_la-MemoryDependenceAnalysis.lo: llvm/lib/Analysis/MemoryDependenceAna
3366 3366
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
3367 3367
 @am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmipa_la_CPPFLAGS) $(CPPFLAGS) $(libllvmipa_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmipa_la-MemoryDependenceAnalysis.lo `test -f 'llvm/lib/Analysis/MemoryDependenceAnalysis.cpp' || echo '$(srcdir)/'`llvm/lib/Analysis/MemoryDependenceAnalysis.cpp
3368 3368
 
3369
+libllvmipa_la-ProfileInfo.lo: llvm/lib/Analysis/ProfileInfo.cpp
3370
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmipa_la_CPPFLAGS) $(CPPFLAGS) $(libllvmipa_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmipa_la-ProfileInfo.lo -MD -MP -MF $(DEPDIR)/libllvmipa_la-ProfileInfo.Tpo -c -o libllvmipa_la-ProfileInfo.lo `test -f 'llvm/lib/Analysis/ProfileInfo.cpp' || echo '$(srcdir)/'`llvm/lib/Analysis/ProfileInfo.cpp
3371
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmipa_la-ProfileInfo.Tpo $(DEPDIR)/libllvmipa_la-ProfileInfo.Plo
3372
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
3373
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/Analysis/ProfileInfo.cpp' object='libllvmipa_la-ProfileInfo.lo' libtool=yes @AMDEPBACKSLASH@
3374
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
3375
+@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmipa_la_CPPFLAGS) $(CPPFLAGS) $(libllvmipa_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmipa_la-ProfileInfo.lo `test -f 'llvm/lib/Analysis/ProfileInfo.cpp' || echo '$(srcdir)/'`llvm/lib/Analysis/ProfileInfo.cpp
3376
+
3369 3377
 libllvmipa_la-ScalarEvolution.lo: llvm/lib/Analysis/ScalarEvolution.cpp
3370 3378
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmipa_la_CPPFLAGS) $(CPPFLAGS) $(libllvmipa_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmipa_la-ScalarEvolution.lo -MD -MP -MF $(DEPDIR)/libllvmipa_la-ScalarEvolution.Tpo -c -o libllvmipa_la-ScalarEvolution.lo `test -f 'llvm/lib/Analysis/ScalarEvolution.cpp' || echo '$(srcdir)/'`llvm/lib/Analysis/ScalarEvolution.cpp
3371 3379
 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmipa_la-ScalarEvolution.Tpo $(DEPDIR)/libllvmipa_la-ScalarEvolution.Plo
... ...
@@ -3566,6 +3707,14 @@ libllvmscalar_la-CodeGenPrepare.lo: llvm/lib/Transforms/Scalar/CodeGenPrepare.cp
3566 3566
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
3567 3567
 @am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmscalar_la_CPPFLAGS) $(CPPFLAGS) $(libllvmscalar_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmscalar_la-CodeGenPrepare.lo `test -f 'llvm/lib/Transforms/Scalar/CodeGenPrepare.cpp' || echo '$(srcdir)/'`llvm/lib/Transforms/Scalar/CodeGenPrepare.cpp
3568 3568
 
3569
+libllvmscalar_la-CodeGenLICM.lo: llvm/lib/Transforms/Scalar/CodeGenLICM.cpp
3570
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmscalar_la_CPPFLAGS) $(CPPFLAGS) $(libllvmscalar_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmscalar_la-CodeGenLICM.lo -MD -MP -MF $(DEPDIR)/libllvmscalar_la-CodeGenLICM.Tpo -c -o libllvmscalar_la-CodeGenLICM.lo `test -f 'llvm/lib/Transforms/Scalar/CodeGenLICM.cpp' || echo '$(srcdir)/'`llvm/lib/Transforms/Scalar/CodeGenLICM.cpp
3571
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmscalar_la-CodeGenLICM.Tpo $(DEPDIR)/libllvmscalar_la-CodeGenLICM.Plo
3572
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
3573
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/Transforms/Scalar/CodeGenLICM.cpp' object='libllvmscalar_la-CodeGenLICM.lo' libtool=yes @AMDEPBACKSLASH@
3574
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
3575
+@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmscalar_la_CPPFLAGS) $(CPPFLAGS) $(libllvmscalar_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmscalar_la-CodeGenLICM.lo `test -f 'llvm/lib/Transforms/Scalar/CodeGenLICM.cpp' || echo '$(srcdir)/'`llvm/lib/Transforms/Scalar/CodeGenLICM.cpp
3576
+
3569 3577
 libllvmscalar_la-DCE.lo: llvm/lib/Transforms/Scalar/DCE.cpp
3570 3578
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmscalar_la_CPPFLAGS) $(CPPFLAGS) $(libllvmscalar_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmscalar_la-DCE.lo -MD -MP -MF $(DEPDIR)/libllvmscalar_la-DCE.Tpo -c -o libllvmscalar_la-DCE.lo `test -f 'llvm/lib/Transforms/Scalar/DCE.cpp' || echo '$(srcdir)/'`llvm/lib/Transforms/Scalar/DCE.cpp
3571 3579
 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmscalar_la-DCE.Tpo $(DEPDIR)/libllvmscalar_la-DCE.Plo
... ...
@@ -4006,6 +4155,14 @@ libllvmsupport_la-StringPool.lo: llvm/lib/Support/StringPool.cpp
4006 4006
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
4007 4007
 @am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmsupport_la_CPPFLAGS) $(CPPFLAGS) $(libllvmsupport_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmsupport_la-StringPool.lo `test -f 'llvm/lib/Support/StringPool.cpp' || echo '$(srcdir)/'`llvm/lib/Support/StringPool.cpp
4008 4008
 
4009
+libllvmsupport_la-StringRef.lo: llvm/lib/Support/StringRef.cpp
4010
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmsupport_la_CPPFLAGS) $(CPPFLAGS) $(libllvmsupport_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmsupport_la-StringRef.lo -MD -MP -MF $(DEPDIR)/libllvmsupport_la-StringRef.Tpo -c -o libllvmsupport_la-StringRef.lo `test -f 'llvm/lib/Support/StringRef.cpp' || echo '$(srcdir)/'`llvm/lib/Support/StringRef.cpp
4011
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmsupport_la-StringRef.Tpo $(DEPDIR)/libllvmsupport_la-StringRef.Plo
4012
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
4013
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/Support/StringRef.cpp' object='libllvmsupport_la-StringRef.lo' libtool=yes @AMDEPBACKSLASH@
4014
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
4015
+@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmsupport_la_CPPFLAGS) $(CPPFLAGS) $(libllvmsupport_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmsupport_la-StringRef.lo `test -f 'llvm/lib/Support/StringRef.cpp' || echo '$(srcdir)/'`llvm/lib/Support/StringRef.cpp
4016
+
4009 4017
 libllvmsupport_la-SystemUtils.lo: llvm/lib/Support/SystemUtils.cpp
4010 4018
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmsupport_la_CPPFLAGS) $(CPPFLAGS) $(libllvmsupport_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmsupport_la-SystemUtils.lo -MD -MP -MF $(DEPDIR)/libllvmsupport_la-SystemUtils.Tpo -c -o libllvmsupport_la-SystemUtils.lo `test -f 'llvm/lib/Support/SystemUtils.cpp' || echo '$(srcdir)/'`llvm/lib/Support/SystemUtils.cpp
4011 4019
 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmsupport_la-SystemUtils.Tpo $(DEPDIR)/libllvmsupport_la-SystemUtils.Plo
... ...
@@ -4694,6 +4851,14 @@ libllvmtargetx86_la-X86FastISel.lo: llvm/lib/Target/X86/X86FastISel.cpp
4694 4694
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
4695 4695
 @am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmtargetx86_la_CPPFLAGS) $(CPPFLAGS) $(libllvmtargetx86_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmtargetx86_la-X86FastISel.lo `test -f 'llvm/lib/Target/X86/X86FastISel.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/X86FastISel.cpp
4696 4696
 
4697
+libllvmtargetx86_la-X86TargetObjectFile.lo: llvm/lib/Target/X86/X86TargetObjectFile.cpp
4698
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmtargetx86_la_CPPFLAGS) $(CPPFLAGS) $(libllvmtargetx86_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmtargetx86_la-X86TargetObjectFile.lo -MD -MP -MF $(DEPDIR)/libllvmtargetx86_la-X86TargetObjectFile.Tpo -c -o libllvmtargetx86_la-X86TargetObjectFile.lo `test -f 'llvm/lib/Target/X86/X86TargetObjectFile.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/X86TargetObjectFile.cpp
4699
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmtargetx86_la-X86TargetObjectFile.Tpo $(DEPDIR)/libllvmtargetx86_la-X86TargetObjectFile.Plo
4700
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
4701
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/Target/X86/X86TargetObjectFile.cpp' object='libllvmtargetx86_la-X86TargetObjectFile.lo' libtool=yes @AMDEPBACKSLASH@
4702
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
4703
+@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmtargetx86_la_CPPFLAGS) $(CPPFLAGS) $(libllvmtargetx86_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmtargetx86_la-X86TargetObjectFile.lo `test -f 'llvm/lib/Target/X86/X86TargetObjectFile.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/X86TargetObjectFile.cpp
4704
+
4697 4705
 libllvmtargetx86_la-X86TargetInfo.lo: llvm/lib/Target/X86/TargetInfo/X86TargetInfo.cpp
4698 4706
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmtargetx86_la_CPPFLAGS) $(CPPFLAGS) $(libllvmtargetx86_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmtargetx86_la-X86TargetInfo.lo -MD -MP -MF $(DEPDIR)/libllvmtargetx86_la-X86TargetInfo.Tpo -c -o libllvmtargetx86_la-X86TargetInfo.lo `test -f 'llvm/lib/Target/X86/TargetInfo/X86TargetInfo.cpp' || echo '$(srcdir)/'`llvm/lib/Target/X86/TargetInfo/X86TargetInfo.cpp
4699 4707
 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmtargetx86_la-X86TargetInfo.Tpo $(DEPDIR)/libllvmtargetx86_la-X86TargetInfo.Plo
... ...
@@ -4734,6 +4899,14 @@ libllvmtransformutils_la-DemoteRegToStack.lo: llvm/lib/Transforms/Utils/DemoteRe
4734 4734
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
4735 4735
 @am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmtransformutils_la_CPPFLAGS) $(CPPFLAGS) $(libllvmtransformutils_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmtransformutils_la-DemoteRegToStack.lo `test -f 'llvm/lib/Transforms/Utils/DemoteRegToStack.cpp' || echo '$(srcdir)/'`llvm/lib/Transforms/Utils/DemoteRegToStack.cpp
4736 4736
 
4737
+libllvmtransformutils_la-LCSSA.lo: llvm/lib/Transforms/Utils/LCSSA.cpp
4738
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmtransformutils_la_CPPFLAGS) $(CPPFLAGS) $(libllvmtransformutils_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmtransformutils_la-LCSSA.lo -MD -MP -MF $(DEPDIR)/libllvmtransformutils_la-LCSSA.Tpo -c -o libllvmtransformutils_la-LCSSA.lo `test -f 'llvm/lib/Transforms/Utils/LCSSA.cpp' || echo '$(srcdir)/'`llvm/lib/Transforms/Utils/LCSSA.cpp
4739
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmtransformutils_la-LCSSA.Tpo $(DEPDIR)/libllvmtransformutils_la-LCSSA.Plo
4740
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
4741
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/Transforms/Utils/LCSSA.cpp' object='libllvmtransformutils_la-LCSSA.lo' libtool=yes @AMDEPBACKSLASH@
4742
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
4743
+@am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmtransformutils_la_CPPFLAGS) $(CPPFLAGS) $(libllvmtransformutils_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmtransformutils_la-LCSSA.lo `test -f 'llvm/lib/Transforms/Utils/LCSSA.cpp' || echo '$(srcdir)/'`llvm/lib/Transforms/Utils/LCSSA.cpp
4744
+
4737 4745
 libllvmtransformutils_la-Local.lo: llvm/lib/Transforms/Utils/Local.cpp
4738 4746
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmtransformutils_la_CPPFLAGS) $(CPPFLAGS) $(libllvmtransformutils_la_CXXFLAGS) $(CXXFLAGS) -MT libllvmtransformutils_la-Local.lo -MD -MP -MF $(DEPDIR)/libllvmtransformutils_la-Local.Tpo -c -o libllvmtransformutils_la-Local.lo `test -f 'llvm/lib/Transforms/Utils/Local.cpp' || echo '$(srcdir)/'`llvm/lib/Transforms/Utils/Local.cpp
4739 4747
 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libllvmtransformutils_la-Local.Tpo $(DEPDIR)/libllvmtransformutils_la-Local.Plo
... ...
@@ -4806,6 +4979,38 @@ libllvmtransformutils_la-UnifyFunctionExitNodes.lo: llvm/lib/Transforms/Utils/Un
4806 4806
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
4807 4807
 @am__fastdepCXX_FALSE@	$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libllvmtransformutils_la_CPPFLAGS) $(CPPFLAGS) $(libllvmtransformutils_la_CXXFLAGS) $(CXXFLAGS) -c -o libllvmtransformutils_la-UnifyFunctionExitNodes.lo `test -f 'llvm/lib/Transforms/Utils/UnifyFunctionExitNodes.cpp' || echo '$(srcdir)/'`llvm/lib/Transforms/Utils/UnifyFunctionExitNodes.cpp
4808 4808
 
4809
+FileCheck-FileCheck.o: llvm/utils/FileCheck/FileCheck.cpp
4810
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(FileCheck_CPPFLAGS) $(CPPFLAGS) $(FileCheck_CXXFLAGS) $(CXXFLAGS) -MT FileCheck-FileCheck.o -MD -MP -MF $(DEPDIR)/FileCheck-FileCheck.Tpo -c -o FileCheck-FileCheck.o `test -f 'llvm/utils/FileCheck/FileCheck.cpp' || echo '$(srcdir)/'`llvm/utils/FileCheck/FileCheck.cpp
4811
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/FileCheck-FileCheck.Tpo $(DEPDIR)/FileCheck-FileCheck.Po
4812
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
4813
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/utils/FileCheck/FileCheck.cpp' object='FileCheck-FileCheck.o' libtool=no @AMDEPBACKSLASH@
4814
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
4815
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(FileCheck_CPPFLAGS) $(CPPFLAGS) $(FileCheck_CXXFLAGS) $(CXXFLAGS) -c -o FileCheck-FileCheck.o `test -f 'llvm/utils/FileCheck/FileCheck.cpp' || echo '$(srcdir)/'`llvm/utils/FileCheck/FileCheck.cpp
4816
+
4817
+FileCheck-FileCheck.obj: llvm/utils/FileCheck/FileCheck.cpp
4818
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(FileCheck_CPPFLAGS) $(CPPFLAGS) $(FileCheck_CXXFLAGS) $(CXXFLAGS) -MT FileCheck-FileCheck.obj -MD -MP -MF $(DEPDIR)/FileCheck-FileCheck.Tpo -c -o FileCheck-FileCheck.obj `if test -f 'llvm/utils/FileCheck/FileCheck.cpp'; then $(CYGPATH_W) 'llvm/utils/FileCheck/FileCheck.cpp'; else $(CYGPATH_W) '$(srcdir)/llvm/utils/FileCheck/FileCheck.cpp'; fi`
4819
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/FileCheck-FileCheck.Tpo $(DEPDIR)/FileCheck-FileCheck.Po
4820
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
4821
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/utils/FileCheck/FileCheck.cpp' object='FileCheck-FileCheck.obj' libtool=no @AMDEPBACKSLASH@
4822
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
4823
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(FileCheck_CPPFLAGS) $(CPPFLAGS) $(FileCheck_CXXFLAGS) $(CXXFLAGS) -c -o FileCheck-FileCheck.obj `if test -f 'llvm/utils/FileCheck/FileCheck.cpp'; then $(CYGPATH_W) 'llvm/utils/FileCheck/FileCheck.cpp'; else $(CYGPATH_W) '$(srcdir)/llvm/utils/FileCheck/FileCheck.cpp'; fi`
4824
+
4825
+llc-MCInstPrinter.o: llvm/lib/MC/MCInstPrinter.cpp
4826
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(llc_CPPFLAGS) $(CPPFLAGS) $(llc_CXXFLAGS) $(CXXFLAGS) -MT llc-MCInstPrinter.o -MD -MP -MF $(DEPDIR)/llc-MCInstPrinter.Tpo -c -o llc-MCInstPrinter.o `test -f 'llvm/lib/MC/MCInstPrinter.cpp' || echo '$(srcdir)/'`llvm/lib/MC/MCInstPrinter.cpp
4827
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/llc-MCInstPrinter.Tpo $(DEPDIR)/llc-MCInstPrinter.Po
4828
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
4829
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/MC/MCInstPrinter.cpp' object='llc-MCInstPrinter.o' libtool=no @AMDEPBACKSLASH@
4830
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
4831
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(llc_CPPFLAGS) $(CPPFLAGS) $(llc_CXXFLAGS) $(CXXFLAGS) -c -o llc-MCInstPrinter.o `test -f 'llvm/lib/MC/MCInstPrinter.cpp' || echo '$(srcdir)/'`llvm/lib/MC/MCInstPrinter.cpp
4832
+
4833
+llc-MCInstPrinter.obj: llvm/lib/MC/MCInstPrinter.cpp
4834
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(llc_CPPFLAGS) $(CPPFLAGS) $(llc_CXXFLAGS) $(CXXFLAGS) -MT llc-MCInstPrinter.obj -MD -MP -MF $(DEPDIR)/llc-MCInstPrinter.Tpo -c -o llc-MCInstPrinter.obj `if test -f 'llvm/lib/MC/MCInstPrinter.cpp'; then $(CYGPATH_W) 'llvm/lib/MC/MCInstPrinter.cpp'; else $(CYGPATH_W) '$(srcdir)/llvm/lib/MC/MCInstPrinter.cpp'; fi`
4835
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/llc-MCInstPrinter.Tpo $(DEPDIR)/llc-MCInstPrinter.Po
4836
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
4837
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/lib/MC/MCInstPrinter.cpp' object='llc-MCInstPrinter.obj' libtool=no @AMDEPBACKSLASH@
4838
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
4839
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(llc_CPPFLAGS) $(CPPFLAGS) $(llc_CXXFLAGS) $(CXXFLAGS) -c -o llc-MCInstPrinter.obj `if test -f 'llvm/lib/MC/MCInstPrinter.cpp'; then $(CYGPATH_W) 'llvm/lib/MC/MCInstPrinter.cpp'; else $(CYGPATH_W) '$(srcdir)/llvm/lib/MC/MCInstPrinter.cpp'; fi`
4840
+
4809 4841
 llc-llc.o: llvm/tools/llc/llc.cpp
4810 4842
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(llc_CPPFLAGS) $(CPPFLAGS) $(llc_CXXFLAGS) $(CXXFLAGS) -MT llc-llc.o -MD -MP -MF $(DEPDIR)/llc-llc.Tpo -c -o llc-llc.o `test -f 'llvm/tools/llc/llc.cpp' || echo '$(srcdir)/'`llvm/tools/llc/llc.cpp
4811 4843
 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/llc-llc.Tpo $(DEPDIR)/llc-llc.Po
... ...
@@ -5286,6 +5491,22 @@ llvmunittest_VMCore-PassManagerTest.obj: llvm/unittests/VMCore/PassManagerTest.c
5286 5286
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5287 5287
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(llvmunittest_VMCore_CPPFLAGS) $(CPPFLAGS) $(llvmunittest_VMCore_CXXFLAGS) $(CXXFLAGS) -c -o llvmunittest_VMCore-PassManagerTest.obj `if test -f 'llvm/unittests/VMCore/PassManagerTest.cpp'; then $(CYGPATH_W) 'llvm/unittests/VMCore/PassManagerTest.cpp'; else $(CYGPATH_W) '$(srcdir)/llvm/unittests/VMCore/PassManagerTest.cpp'; fi`
5288 5288
 
5289
+not-not.o: llvm/utils/not/not.cpp
5290
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(not_CPPFLAGS) $(CPPFLAGS) $(not_CXXFLAGS) $(CXXFLAGS) -MT not-not.o -MD -MP -MF $(DEPDIR)/not-not.Tpo -c -o not-not.o `test -f 'llvm/utils/not/not.cpp' || echo '$(srcdir)/'`llvm/utils/not/not.cpp
5291
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/not-not.Tpo $(DEPDIR)/not-not.Po
5292
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
5293
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/utils/not/not.cpp' object='not-not.o' libtool=no @AMDEPBACKSLASH@
5294
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5295
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(not_CPPFLAGS) $(CPPFLAGS) $(not_CXXFLAGS) $(CXXFLAGS) -c -o not-not.o `test -f 'llvm/utils/not/not.cpp' || echo '$(srcdir)/'`llvm/utils/not/not.cpp
5296
+
5297
+not-not.obj: llvm/utils/not/not.cpp
5298
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(not_CPPFLAGS) $(CPPFLAGS) $(not_CXXFLAGS) $(CXXFLAGS) -MT not-not.obj -MD -MP -MF $(DEPDIR)/not-not.Tpo -c -o not-not.obj `if test -f 'llvm/utils/not/not.cpp'; then $(CYGPATH_W) 'llvm/utils/not/not.cpp'; else $(CYGPATH_W) '$(srcdir)/llvm/utils/not/not.cpp'; fi`
5299
+@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/not-not.Tpo $(DEPDIR)/not-not.Po
5300
+@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
5301
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='llvm/utils/not/not.cpp' object='not-not.obj' libtool=no @AMDEPBACKSLASH@
5302
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5303
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(not_CPPFLAGS) $(CPPFLAGS) $(not_CXXFLAGS) $(CXXFLAGS) -c -o not-not.obj `if test -f 'llvm/utils/not/not.cpp'; then $(CYGPATH_W) 'llvm/utils/not/not.cpp'; else $(CYGPATH_W) '$(srcdir)/llvm/utils/not/not.cpp'; fi`
5304
+
5289 5305
 tblgen-AsmMatcherEmitter.o: llvm/utils/TableGen/AsmMatcherEmitter.cpp
5290 5306
 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(tblgen_CPPFLAGS) $(CPPFLAGS) $(tblgen_CXXFLAGS) $(CXXFLAGS) -MT tblgen-AsmMatcherEmitter.o -MD -MP -MF $(DEPDIR)/tblgen-AsmMatcherEmitter.Tpo -c -o tblgen-AsmMatcherEmitter.o `test -f 'llvm/utils/TableGen/AsmMatcherEmitter.cpp' || echo '$(srcdir)/'`llvm/utils/TableGen/AsmMatcherEmitter.cpp
5291 5307
 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/tblgen-AsmMatcherEmitter.Tpo $(DEPDIR)/tblgen-AsmMatcherEmitter.Po
... ...
@@ -1,4 +1,5 @@
1 1
 ; RUN: opt < %s -anders-aa -argpromotion
2
+; XFAIL: *
2 3
 
3 4
 declare void @llvm.gcroot(i8**, i8*)
4 5
 
... ...
@@ -1,4 +1,5 @@
1 1
 ; RUN: opt < %s -deadargelim
2
+; XFAIL: *
2 3
 
3 4
 declare void @llvm.gcroot(i8**, i8*)
4 5
 
... ...
@@ -1,4 +1,5 @@
1 1
 ; RUN: opt < %s -inline -S | grep example
2
+; XFAIL: *
2 3
 
3 4
 	%IntArray = type { i32, [0 x i32*] }
4 5
 
... ...
@@ -1,5 +1,6 @@
1 1
 ; RUN: opt < %s -inline -S | grep sample
2 2
 ; RUN: opt < %s -inline -S | grep example
3
+; XFAIL: *
3 4
 
4 5
 	%IntArray = type { i32, [0 x i32*] }
5 6
 
... ...
@@ -1,4 +1,5 @@
1 1
 ; RUN: opt < %s -std-compile-opts | llc > %t
2
+; XFAIL: *
2 3
 ; ModuleID = 'ld3.c'
3 4
 target datalayout = "E-p:32:32:32-i1:8:8-i8:8:8-i16:16:16-i32:32:32-i64:32:64-f32:32:32-f64:32:64-v64:64:64-v128:128:128-a0:0:64-f128:64:128"
4 5
 target triple = "powerpc-apple-darwin8"
... ...
@@ -6,6 +6,7 @@
6 6
 ; RUN: grep vmrgl   %t | count 6
7 7
 ; RUN: grep vpkuhum %t | count 1
8 8
 ; RUN: grep vpkuwum %t | count 1
9
+; XFAIL: *
9 10
 
10 11
 define void @VSLDOI_xy(<8 x i16>* %A, <8 x i16>* %B) {
11 12
 entry:
... ...
@@ -1,5 +1,6 @@
1 1
 ; RUN: opt < %s -instcombine -S | grep 302245289961712575840256
2 2
 ; RUN: opt < %s -instcombine -S | grep K40018000000000000000
3
+; XFAIL: *
3 4
 target datalayout = "e-p:32:32:32-i1:8:8-i8:8:8-i16:16:16-i32:32:32-i64:32:64-f32:32:32-f64:32:64-v64:64:64-v128:128:128-a0:0:64-f80:128:128"
4 5
 target triple = "i686-apple-darwin9"
5 6
 
... ...
@@ -1,4 +1,5 @@
1 1
 ; RUN: opt < %s -std-compile-opts | llc
2
+; XFAIL: *
2 3
 ; ModuleID = 'block12.c'
3 4
 target datalayout = "e-p:32:32:32-i1:8:8-i8:8:8-i16:16:16-i32:32:32-i64:32:64-f32:32:32-f64:32:64-v64:64:64-v128:128:128-a0:0:64-f80:128:128"
4 5
 target triple = "i686-apple-darwin8"
... ...
@@ -3,6 +3,7 @@
3 3
 ; RUN: grep 2147228864 %t | count 3
4 4
 ; RUN: grep 2146502828 %t | count 3
5 5
 ; RUN: grep 2143034560 %t | count 3
6
+; XFAIL: *
6 7
 ; Compile time conversions of NaNs.
7 8
 ; ModuleID = 'nan2.c'
8 9
 target datalayout = "e-p:32:32:32-i1:8:8-i8:8:8-i16:16:16-i32:32:32-i64:32:64-f32:32:32-f64:32:64-v64:64:64-v128:128:128-a0:0:64-f80:128:128"
... ...
@@ -1,5 +1,6 @@
1 1
 ; RUN: opt < %s -scalarrepl -instcombine | \
2 2
 ; RUN:   llc -march=x86 -mcpu=yonah | not grep sub.*esp
3
+; XFAIL: *
3 4
 
4 5
 ; This checks that various insert/extract idiom work without going to the
5 6
 ; stack.
... ...
@@ -454,9 +454,11 @@ class NoExecDeathTest : public ForkingDeathTest {
454 454
 // straightforward fork, with a simple pipe to transmit the status byte.
455 455
 DeathTest::TestRole NoExecDeathTest::AssumeRole() {
456 456
   const size_t thread_count = GetThreadCount();
457
+#if 0
457 458
   if (thread_count != 1) {
458 459
     GTEST_LOG_(WARNING, DeathTestThreadWarning(thread_count));
459 460
   }
461
+#endif
460 462
 
461 463
   int pipe_fd[2];
462 464
   GTEST_DEATH_TEST_CHECK_(pipe(pipe_fd) != -1);
... ...
@@ -1,16 +1,7 @@
1 1
 #!/bin/bash
2 2
 mkdir -p llvm/Release/bin
3 3
 mkdir -p llvm/Debug/bin
4
-cp lli llc llvm-as llvm/Release/bin/
5
-cp lli llc llvm-as llvm/Debug/bin/
4
+cp lli llc llvm-as not count FileCheck tblgen llvm/Release/bin/
5
+cp lli llc llvm-as not count FileCheck tblgen llvm/Debug/bin/
6 6
 
7
-failed=
8
-$GMAKE -C llvm/test TESTSUITE=CodeGen || failed=CodeGen
9
-$GMAKE -C llvm/test TESTSUITE=ExecutionEngine || failed="$failed ExecutionEngine"
10
-$GMAKE -C llvm/test TESTSUITE=Integer || failed="$failed Integer"
11
-$GMAKE -C llvm/test TESTSUITE=TableGen || failed="$failed TableGen"
12
-$GMAKE -C llvm/test TESTSUITE=Verifier || failed="$failed Verifier"
13
-
14
-test -z "$failed" && exit 0
15
-echo "LLVM dejagnu tests failed: $failed"
16
-exit 1
7
+exec $GMAKE -C llvm check-lit TESTSUITE="CodeGen ExecutionEngine Integer TableGen Verifier"